SolidWorks Installation and Administration

This guide describes installation, licensing, upgrading and administration of SolidWorks products for both individual installations and multiple installations.

Individual Installations | Deploying Multiple Installations
Installation Installation on one or a few computers. | Installation Creation of an administrative image that is deployed to a number of client computers.
Licensing License activation or network licensing. | Licensing License activation or network licensing.
Upgrades Moving individual computers to a new release. | Upgrades Moving multiple computers to a new release by updating the administrative image used to install on those computers.
Administration Modifying, repairing, and removing installations, upgrading to new releases. | Administration Upgrading administrative images and clients, Network licensing administration, Workgroup PDM vault administration.

SolidWorks Installation Manager enables you to configure settings for SolidWorks product components, including SolidWorks, SolidWorks Toolbox, PhotoView 360, Workgroup PDM, and SolidWorks SolidNetWork License Manager.

Workgroup PDM is project data management software that runs inside the SolidWorks environment or as a standalone application inside SolidWorks Explorer. Workgroup PDM controls projects with procedures for check out, check in, revision control, and other administration tasks.

SolidNetWork License Manager supports multiple license clients by distributing licenses to clients on the network. This allows the number of users to exceed the number of licenses by using floating licenses.

  • Individual Installation or Administrative Image
    Should you install SolidWorks products on each computer individually, or should you create an administrative image and deploy the installation to all clients with one command?
  • Initiating SolidWorks Installation
    You can initiate SolidWorks installation from loading a DVD on the local computer, accessing a shared installation directory, or downloading from SolidWorks.


Individual Installation or Administrative Image

Should you install SolidWorks products on each computer individually, or should you create an administrative image and deploy the installation to all clients with one command?

If you are installing on only one computer, or if you manage dozens or hundreds of computers, the choice is obvious. For situations in between, consider the following comparisons.

Individual installation | Administrative image
Users can do their own SolidWorks administration. | The system administrator can customize multiple installations using the Option Editor, specifying installation options such as creating a new installation or updating an existing one, running the installation as an administrative user, running external commands before or after the installation, different product groupings, and so on.
The computers must be physically accessible to the person performing the installation. | Client computers can be distantly located as long as they are accessible from the same network.
You can install different versions, service packs, or products on different computers, with independent settings. | Using the Option Editor, administrative images can maintain consistency in versions, service packs, products, and settings for multiple installations.
The computer does not need to be on a network. | A local network connection is required to deploy the application; media drives are not required on client computers.
 | Clients can be updated automatically. All clients deployed from the same administrative image are at the same service pack. To maintain multiple versions, you can create multiple administrative images.
 | License activation can be automated.
 | An administrative image requires additional disk space on the server; clients require the same space as individual installations.
Parent topic: SolidWorks Installation and Administration


Initiating SolidWorks Installation

You can initiate SolidWorks installation from loading a DVD on the local computer, accessing a shared installation directory, or downloading from SolidWorks.

  • To initiate SolidWorks installation, do one of the following:
    • To install on a local computer from disk, insert the appropriate disk into the computer's disk drive.
    • To install from a download directory, navigate to the directory and double-click setup.exe.
    • To install by downloading from SolidWorks:
      1. Browse to the SolidWorks Web site.
      2. Login as a Subscription Service Customer, using your email address and password, or your SolidWorks serial number.
      3. Under Self Service, click Download Software and Updates.
      4. Under Download Software, select the SolidWorks version and service pack to download.
Parent topic: SolidWorks Installation and Administration


Individual Installations

  • Installation on Individual Computers
    You can install SolidWorks on an individual computer using several installation methods.
  • Administration of Individual Installations
    Typically, administration of individual installations consists of modifying, repairing, removing, and upgrading installations.


Installation on Individual Computers

You can install SolidWorks on an individual computer using several installation methods.

The SolidWorks Installation Manager performs the installation, tailoring the installation to the products you have purchased. Before you start the installation:

  • Have your SolidWorks serial number available.
  • Verify that you have a working internet connection.
SolidWorks Installation Manager requires various Microsoft components, including Microsoft Windows Installer, Office Web Components, Microsoft Visual Studio Tools for Applications, and .NET Framework. If the correct versions of all Windows prerequisite components are not installed on the computer, SolidWorks Installation Manager installs them automatically prior to installing SolidWorks products.
Installation Method Summary of the Process
Using the SolidWorks installation media Insert the appropriate DVD disk into the computer disk drive.
The SolidWorks installation media provides separate DVDs for 32-bit and 64-bit Windows installations.
Using a download directory on a server In the download directory, double-click setup.exe.
The download directory must be accessible from the computer on which you are installing SolidWorks products, and it must contain all of the SolidWorks installation files before installation can begin. SolidWorks Installation Manager can help you find missing files if you have internet access and write access to the download directory.
This is not an administrative image. The only way to install a client computer from an administrative image is by clicking the link in the HTML page distributed by the SolidWorks administrator.
Updating an existing SolidWorks installation using Check for Updates Do one of the following:
  • In SolidWorks, click Help > Check for Updates.
  • In Windows, click Start > All Programs > SolidWorks Installation Manager > Check for Updates.
You must have a working internet connection.

Workgroup PDM clients detect Vault updates automatically. You do not need to download a service pack to update clients. For details, see Update Clients in the Workgroup PDM online help.

Downloading from the SolidWorks customer Web site.
  1. Browse to the SolidWorks Web site.
  2. Login as a Subscription Service Customer, using your email address and password, or your SolidWorks serial number.
  3. Under Self Service, click Download Software and Updates.
  4. Under Download Software, click the SolidWorks version you wish to install.
You must have a working internet connection.

You must be a Subscription Service Customer with login access to the Customer Portal site.

When the installation is complete, start the SolidWorks application and activate the license.

Parent topic: Individual Installations


Administration of Individual Installations

Typically, administration of individual installations consists of modifying, repairing, removing, and upgrading installations.

  • Modifying an Installation
    You can modify an installation to install products that have not been installed or to remove products.
  • Repairing the Installation
    If an error or cancellation occurs during installation, you can use Windows Control Panel to repair the installation.
  • Rolling Back an Individual Installation to a Previous Service Pack
    To roll back an individual installation to a previous service pack release in the current major release family, uninstall the service pack version currently installed on the computer and then re-install the earlier version.
  • Removing an Installation
    You can remove an installation on an individual computer or in a client/server environment.
  • Upgrading to a New Release
    There are several methods for upgrading an individual installation to a new SolidWorks release.
  • Product Coexistence Rules
    These product coexistence rules determine how new products are installed and existing products are upgraded.
Parent topic: Individual Installations


Modifying an Installation

You can modify an installation to install products that have not been installed or to remove products.

If you installed SolidWorks and purchased an add-in at a later time, you can modify the installation to include the new add-in. You must install the add-in on each individual machine.

Workgroup PDM is not installed if you are modifying your original SolidWorks package to include SolidWorks Professional or SolidWorks Premium.
  1. Make sure no SolidWorks sessions are active.
  2. In Windows Vista or later, click Start > Control Panel > Programs and Features.

    For earlier versions of Windows, click Start > Control Panel > Add or Remove Programs.

  3. Select the SolidWorks installation you want to modify and then click Change.
  4. On the Welcome to the SolidWorks Installation Manager screen, click Modify the individual installation (on this computer).
  5. On the Serial Number screen, verify that the appropriate serial numbers are specified.
  6. On the Product Selection screen, select the products to install or remove.

    When modifying an installation:

    • No products are installed or removed by default, even if you specify a new serial number. You must change the installation action of each product or feature component.
    • To view the projected action for a particular component, click the component name (but not the check box). The intended installation action appears in the information field below the product listing.
    • You can click the check box next to the product component to change the installation action for that component. (For example, if you are installing or removing components, selecting the check box specifies that the component is to be installed or removed and clearing the check box specifies that the component is not to be installed or removed.)
    • When you change a component installation action from the initial specification, an asterisk (*) appears next to that component in the listing.
    • If a component has optional installation sub-components in it, a + icon appears next to the component. To see the available sub-components for a component, click the + icon.
    • If a component has been expanded to show optional sub-components, a - icon appears next to the component. To collapse the sub-component listing, click the - icon.

  7. On the Summary screen, click Modify Now.
  8. On the Installation is Complete screen, click Finish.
Parent topic: Administration of Individual Installations


Repairing the Installation

If an error or cancellation occurs during installation, you can use Windows Control Panel to repair the installation.

You can repair an individual installation. You cannot repair an administrative image installation; you must uninstall and then reinstall the administrative image.

To repair the installation:

  1. In Windows Vista or later, click Start > Control Panel > Programs and Features. For earlier versions of Windows, click Start > Control Panel > Add or Remove Programs.
  2. Select the version of SolidWorks that failed and click Change.

    SolidWorks Installation Manager starts.

  3. In the Welcome screen, click Repair the individual installation (on this computer). and click Next.
  4. Select the products that failed to install or remove and click Repair.
Parent topic: Administration of Individual Installations
Parent topic: Installation Errors/Installation Cancelled


Rolling Back an Individual Installation to a Previous Service Pack

To roll back an individual installation to a previous service pack release in the current major release family, uninstall the service pack version currently installed on the computer and then re-install the earlier version.

Parent topic: Administration of Individual Installations


Removing an Installation

You can remove an installation on an individual computer or in a client/server environment.

  1. Make sure no SolidWorks sessions are active.
  2. If you wish to transfer the SolidWorks license to another computer, transfer the license to that computer before removing the SolidWorks installation on this computer.

    For information about transferring SolidWorks licenses, see Transferring a License.

  3. In Windows Vista or later, click Start > Control Panel > Programs > Programs and Features.

    For earlier versions of Windows, click Start > Control Panel > Add or Remove Programs.

  4. Select the product component to remove.

    In some cases, you might find multiple SolidWorks Service Pack components for a given major release version. To remove a SolidWorks major release, remove all Service Pack elements for that major release.

  5. On the Uninstall screen:
    1. Select the products to remove. By default, all product components are selected.
    2. Clear the products that you do not want to remove.
    3. Choose whether to perform a custom or complete uninstall. By default, the SolidWorks Installation Manager performs a standard uninstall and removes the Program Files and Folders.

      1. Click Change in Advanced Options.

        The Advanced Options screen appears and the Program Files and Folders option is selected

      2. Select one or more options to perform a custom uninstall, or select all options to perform a complete uninstall.
      3. Click Back to Summary.
      4. On the Summary screen, expand Advanced Options to display the uninstall method and entries.

    4. Click Remove Items.
Parent topic: Administration of Individual Installations


Upgrading to a New Release

There are several methods for upgrading an individual installation to a new SolidWorks release.

You can upgrade to a new release when you:
  • Receive new installation media
  • Are notified of upgrades when starting SolidWorks
  • Check for updates manually
  • Start a new instance of SolidWorks Installation Manager

When installing a new major release, you can upgrade a previously installed major release or install the new release in parallel. If you are installing a Service Pack release for a previously installed major release, that release is updated automatically.

  • Checking for Updates Manually
    You can check for updates for a currently installed SolidWorks release using one of these methods.
  • Upgrading Workgroup PDM Clients
    Clients are prompted to update the first time they log in after the vault is updated. No service pack is required for client updates.
  • Upgrade Caveats
    Products that can have multiple installations with different major versions do not always support major upgrades, or the ability to upgrade between major versions as a single operation.
Parent topic: Administration of Individual Installations


Checking for Updates Manually

You can check for updates for a currently installed SolidWorks release using one of these methods.

  • In SolidWorks, click Help > Check for Updates.
  • In Microsoft Windows, click Start > All Programs > SolidWorks Installation Manager > Check for Updates.
Parent topic: Upgrading to a New Release


Upgrading Workgroup PDM Clients

Clients are prompted to update the first time they log in after the vault is updated. No service pack is required for client updates.

Client Status Relative to Vault | Action
Same version as vault | None
Same major release, newer than vault | None
Newer major release, newer than vault | Login is blocked
Same major release, older than vault | Optional update
Older major release, older than vault | Mandatory update

For details about updating Workgroup PDM clients, see Update Clients in the Workgroup PDM Help.

Parent topic: Upgrading to a New Release
Parent topic: Workgroup PDM VaultAdmin Administration


Upgrade Caveats

Products that can have multiple installations with different major versions do not always support major upgrades, or the ability to upgrade between major versions as a single operation.

In this case, SolidWorks Installation Manager simulates the upgrade by first installing the new version, then removing the old one. At this time, the core SolidWorks product supports major upgrades, while the other products do not.

The consequences of this are:
  • When upgrading the core SolidWorks product between major versions:
    • Your existing installed location does not change.
    • The upgrade can be rolled back if an error occurs or the you cancel during the upgrade.
  • When other products are upgraded between major versions:
    • Each product is first installed as a new product to a new location, then the original installation is removed.
    • Once started, the upgrade cannot be rolled back if an error occurs or if you cancel during the upgrade.
Parent topic: Upgrading to a New Release


Product Coexistence Rules

These product coexistence rules determine how new products are installed and existing products are upgraded.

Rule | Examples
Multiple major release versions of a core SolidWorks product are allowed, regardless of service pack or major release (with the exception of the three products mentioned below). SolidWorks 2010 SP3.0, and SolidWorks 2011 SP0.0 can coexist on the same computer.

However, if SolidWorks 2011 SP0.0 is installed on a computer, and you install SolidWorks 2011 SP1.0, SolidWorks Installation Manager replaces the SP0.0 version with the new SP1.0 version.

SolidWorks 2011 SP0.0 and 2011 SP1.0 will not coexist on the same computer.

Only one version of the following products is allowed on the computer:
  • Workgroup PDM Server
  • SolidNetWork License Manager
 If SolidWorks 2011 SP0.0 is installed, Workgroup PDM Server is upgraded to 2011 SP0.0, even if an earlier major release of SolidWorks remains on the computer.
Only one version of an included product can be installed for any major version. | If SolidWorks 2011 SP0.0 is upgraded to 2011 SP1.0, SolidWorks Explorer 2011 SP0.0 will automatically upgrade to 2011 SP1.0. However, SolidWorks Explorer 2010 SP4.0 can also exist on the computer.
Parent topic: Administration of Individual Installations


Multiple Installations

  • Deploying to Multiple Clients
    You can install the SolidWorks product on multiple clients by creating an administrative image and then deploying the installation to clients.
  • Using Administrative Images
    An administrative image allows configurable installations of SolidWorks products from a single network location.
  • Command-Line Deployment
    You can automatically deploy an administrative image using a command prompt or batch file (silent installation).
  • Administration of Multiple Installations
    For multiple installations, administrative tasks include upgrading administrative images to new releases, applying service pack updates, and removing installations.


Deploying to Multiple Clients

You can install the SolidWorks product on multiple clients by creating an administrative image and then deploying the installation to clients.

The process for deploying to multiple clients is:
  1. Create an administrative image.
    • Creating an Administrative Image from SolidWorks Installation Manager
    • Creating an Administrative Image from the Command Line
  2. Deploy the administrative image to clients.
    • Deploying an Administrative Image to Clients Through Email
    • Installing from the Administrative Image Using the Command Line
  3. Implement licensing.
    • Administering Individual Licenses
    • Administering Licenses Using a SolidNetWork License Manager
Parent topic: Multiple Installations


Using Administrative Images

An administrative image allows configurable installations of SolidWorks products from a single network location.

You can install the administrative image from any computer on the network, including a client computer.
  • The administrative image must be in a shared folder.
  • If you include all products, the administrative image disk space requirements can be 7GB or more.
  • If you update the share name when you upgrade the administrative image, the client upgrades automatically the next time the application is started. For details, see Upgrading Clients from Administrative Images.
  • Clients must have administrative privileges on their computers, unless the Run the installation as a different user option is specified for the client installation.
    This option is not supported on Windows Vista or later.

Once you have created an administrative image, the Administrative Image Option Editor can manage installation option settings for users and groups installing from that image. For details, see Administrative Image Option Editor.

  • Creating an Administrative Image from SolidWorks Installation Manager
    If you are installing SolidWorks on multiple computers, you can create an administrative image and then deploy the application to other computers.
  • Administrative Image Option Editor
    The Administrative Image Option Editor lets you customize installation parameter settings in an administrative image for individual machines and for groups of machines.
  • Deploying an Administrative Image to Clients Through Email
    Once you have created a shared administrative image directory, you can notify clients by email.
  • Advertising an Administrative Image to Clients
    You can run a command to advertise a new administrative image installation to clients.
Parent topic: Multiple Installations


Creating an Administrative Image from SolidWorks Installation Manager

If you are installing SolidWorks on multiple computers, you can create an administrative image and then deploy the application to other computers.

  1. Start SolidWorks Installation Manager (as described under Initiating SolidWorks Installation).
  2. On the Welcome screen, select Administrative image.

    Administrative image creation options appear:

    Create a new image using default settings.
    Create the image using the default configuration settings (that is, not based on the settings currently established for an existing administrative image at your site).
    Create a new image using settings and files from an existing image.
    Create the image using configuration settings specified for an existing administrative image at your site. Click Browse to specify the installation directory for the existing administrative image.
    Create both 32-bit and 64-bit administrative images.
    You can create both 32-bit and 64-bit images on a single computer or you can create just the image that corresponds to that computer architecture. Creating both images does require that you have access to the 32-bit and 64-bit installation media.

  3. Follow the on-screen instructions.
Parent topic: Using Administrative Images


Administrative Image Option Editor

The Administrative Image Option Editor lets you customize installation parameter settings in an administrative image for individual machines and for groups of machines.

After creating an administrative image, SolidWorks Installation Manager asks you to start the Option Editor. You can also start the Option Editor by double-clicking sldAdminOptionEditor.exe in the administrative image folder.

To specify different installation configurations for groups of machines or individual machines, add groups and machines in the Option Editor and then specify the installation options for those groups and machines.

  • Adding and Deleting Groups and Machines
    The Administrative Image Option Editor lets you specify different installation configurations for groups of machines and for individual machines.
  • Viewing and Editing Option Settings
    SolidWorks Administrative Image Option Editor enables you to view and change option settings for groups and machines specified for the image.
  • Switching Between 32-Bit and 64-Bit Images
    If you have created both 32-bit and 64-bit images in the administrative image installation directory, the Option Editor can operate on both images.
  • Deploying Installations from the Option Editor
    You can deploy installations directly from the Option Editor using email instructions to start the installation.
  • Exiting the Option Editor
    You can click OK or Close to exit the Option Editor.
  • Creating a Desktop Shortcut to the Option Editor
    You can create a Windows desktop shortcut to the Option Editor for a particular Administrative Image from within the application.
Parent topic: Using Administrative Images


Adding and Deleting Groups and Machines

The Administrative Image Option Editor lets you specify different installation configurations for groups of machines and for individual machines.

For example, you might want to configure several machines to use a particular subset of the product components available in the image while another group might use a different subset of product components. Even though you are using one administrative image, the Option Editor group settings enable you to install different product subsets to different groups of machines.

To add a group:
  1. Right-click Global Settings and then click Add Group.
  2. Enter the group name.
To add machines:
  1. Right-click an existing group or Global Settings and then click Add Machine.
    If you right-click an existing group, machines are added to that group. Otherwise, they are added at the top level.
  2. Do one of the following:
    • Enter one or more machine names under Machine Name.

      Multiple machines can be separated by a line break, space, tab, comma, period, colon, or semi-colon. You can copy and paste a list of machine names from an external file.

      Machine names cannot include domain qualifiers. For example, pluto.solidworks.com is invalid.

    • Click Add Multiple Machines to select machines from the network.
To move an existing machine to a group: Drag the machine onto the group.
To move a machine out of a group: Drag the machine onto Global Settings or onto a different group.
To delete a group or machine: Right-click the group or machine and then click Delete Group or Delete Machine.
If you delete a group, all machines within that group are deleted.
To delete all groups and machines: Right-click Global Settings and then click Delete All.
Parent topic: Administrative Image Option Editor


Viewing and Editing Option Settings

SolidWorks Administrative Image Option Editor enables you to view and change option settings for groups and machines specified for the image.

  • When you first start the Option Editor, option settings are displayed in read-only mode. The Edit icon is not shaded: .
    Clicking on Global Settings, a group, or a machine displays a summary of option settings for that item:
    Scope | Option Settings Displayed
    Global Settings | All option settings specified for the administrative image
    Group | Changes in the group settings relative to the Global Settings
    Machine | Changes in the machine settings relative to the group
  • To make changes to option settings, click on the Edit icon. The icon becomes shaded ( [image]) and a more detailed option settings listing appears.

    Clicking on Global Settings, a group, or a machine lets you change option settings for that item. When you make a change in an option setting that differs from the inherited Global Settings or group settings, that option setting is highlighted.

    If you click the Edit icon again, the display reverts to read-only mode.

    If you make changes, the Option Editor prompts you to save or discard them when you exit.

  • Specifying Option Settings for Groups and Machines
    You can specify option settings for all machines (Global Settings), groups of machines, and individual machines.
  • Inheritance of Global and Group Option Settings
    Option settings for Global Settings or groups are inherited by items underneath them.
Parent topic: Administrative Image Option Editor


Specifying Option Settings for Groups and Machines

You can specify option settings for all machines (Global Settings), groups of machines, and individual machines.

  1. In the Option Editor, click the object to modify (Global Settings, a group, or a machine).
  2. On the right, click the Edit icon [image].

    The Edit icon becomes shaded ( [image]) and a more detailed option settings listing appears.

  3. Make option setting changes by clicking option settings on the right for the item selected on the left.

    Changes in option settings that override Global Settings or group settings are highlighted.

  4. Click OK or Close to save your changes.

    OK
    The Option Editor saves your changes and exits.
    Close
    The Option Editor asks if you want to save your changes and then exits.

  • Administrative Image Option Settings
    The Option Editor enables you to specify option settings for individual clients or groups, including serial numbers, client installation options, which software components to be installed, and toolbox location.
Parent topic: Viewing and Editing Option Settings


Administrative Image Option Settings

The Option Editor enables you to specify option settings for individual clients or groups, including serial numbers, client installation options, which software components to be installed, and toolbox location.

Serial Numbers

Enter the serial numbers for products to be installed on client machines.
Because there are multiple ways to purchase SolidWorks products, some serial numbers can cover two or more products. For example, a SolidWorks serial number might enable you to install SolidWorks Simulation without entering a separate SolidWorks Simulation serial number. In addition, some products do not require a serial number. If you have any questions about your serial numbers, contact your VAR.
If you are managing licensing using SolidNetWork Licensing:
  • In the first serial number field, enter the SolidNetWork serial number.
  • In the SNL Server port@server field, enter the SolidNetWork License Manager server name and port in the form nnnnn@servername. Separate multiple entries using semicolons.

For details about SolidNetWork licensing, see Installing and Configuring SolidNetWork Licensing.

Client Installation Options

How do you want to perform client installations of major versions?
You can specify how client installations will handle an existing prior major version installation:
  • Upgrade an existing major version (if one exists).

    Specify this option to replace the prior major version installation with the new version installation

  • Create a new major version.

    Specify this option to keep the prior major version and create a new installation for the new major version.

    To specify a location for the new version installation, click Browse.

Do you want to uninstall the most recent previous version before installing a new major version?
You can specify whether to uninstall the existing prior major version installation:
  • No, do not uninstall first.

    Specify this option to retain the prior major version installation.

  • Yes, perform a custom uninstall.
    Select this option to remove these items:
    • Programs Files and Folders
    • Registry Entries
    • Data Files and Folders
How do you want to apply SolidWorks Settings?
You can specify that client installations configure SolidWorks settings based on the SolidWorks settings configured on the client machine or SolidWorks settings exported from the Copy Settings Wizard.
  • Use current settings (if they exist) or use SolidWorks default settings

    If the client machine has defined SolidWorks settings, keep those settings. (For any settings that are not specifically defined on the client, the client installation uses the default SolidWorks settings.)

  • Use a settings file exported from the Copy Settings Wizard.
    Selecting this option setting enables you to specify option settings from an existing Copy Settings Wizard export file. (Typically, this file is named solidworkssettings.sldreg.)
    • Click Browse to find an existing settings file.
    • Click New to start the Copy Settings Wizard to create a new settings file.
How do you want to activate client installations?
You can specify whether to complete product activation automatically after running the installation, or require that the user perform product activation manually after installation.
  • Activate automatically when each client installation completes.
    Selecting this option setting specifies that product activation runs automatically using a SolidWorks Product Activation file. (Typically, this file is named AutoActivation.xml.)
    • Click Browse to find an existing activation file.
    • Click New to start SolidWorks Product Activation to create a new activation file.
  • Do not activate automatically.

    Selecting this option setting specifies that no automated product activation occurs. The client user performs product activation after installation.

If you specify automatic product activation, the administrative image must be available through the shared network location the first time clients run SolidWorks after the installation. If the administrative image is unavailable to clients that installed from that image, those clients will not be able to complete the automatic product activation. They will not be able to run SolidWorks unless they run SolidWorks Product Activation manually.

Administrative Options

Create a diagnostic log during each installation
A client installation can create a diagnostic log that can be used to troubleshoot installation problems. Creating this log can make the client installation run slower.
Run the installation as a different user.
A client installation can run as a different user. This option can be useful when individual users do not have local administrative permissions on their machines (which is required to install SolidWorks products).
This is not supported on Windows Vista, Windows 7, or later.
Run a program before or after installation
You can specify that a custom program runs before or after the client installation.
Do you want clients to participate in the SolidWorks Customer Experience Program?
You can specify that client machines participate in the SolidWorks Customer Experience Program. Performance information is sent to SolidWorks Corporation to help improve the product. The process is transparent and confidential. For details, see Customer Experience Improvement Program Web site.

Software to Install

You can specify what SolidWorks product components to install.
  • Selecting the check box next to the product component specifies that the component is installed during the client installation.
  • Clearing the check box specifies that the component is not installed.
  • If a component has optional installation sub-components in it, a + icon appears next to the component. To see the available sub-components for a component, click the + icon.
  • If a component has been expanded to show optional sub-components, a - icon appears next to the component. To collapse the sub-component listing, click the - icon.
The Languages specification limits the languages that are installed for the SolidWorks product only. Other product installations are not affected by this specification. For example, SolidWorks eDrawings®, SolidWorks Workgroup PDM, and SolidWorks Explorer install all languages.

Toolbox Options

You can specify which standards to support and the default Toolbox location for client installations.

It is common to have multiple users accessing a shared Toolbox, typically through a network location (for example, a UNC path, a shared folder, or a common network drive specification).

If the location contains an older major version of Toolbox, the client installation will upgrade that Toolbox to the new major version. The files will no longer be compatible with previous major versions of SolidWorks.
If you want to retain the Toolbox for the older SolidWorks version (for example, if some clients might continue using the older version), you must specify a different Toolbox network location for clients that are upgrading to the newer version.

For details about SolidWorks Toolbox administration, see the Toolbox information in SolidWorks Help.

Parent topic: Specifying Option Settings for Groups and Machines


Inheritance of Global and Group Option Settings

Option settings for Global Settings or groups are inherited by items underneath them.

For example:
  • Settings defined for Global Settings are inherited by all groups and machines.
  • Settings defined for a group are inherited by all machines within that group.

You can change option settings for a machine or group to override default or inherited settings. When you change an option setting from the default or its inherited value, that option is highlighted.

To revert option settings to the original inherited values, right-click the group or machine and then click Revert to Global Settings (for a group or machine that is not a group member) or Revert to Group Settings (for a machine that is a group member).
Parent topic: Viewing and Editing Option Settings


Switching Between 32-Bit and 64-Bit Images

If you have created both 32-bit and 64-bit images in the administrative image installation directory, the Option Editor can operate on both images.

  • In the Option Editor, click 32 or 64 to operate on the 32-bit or 64-bit image.

    Clicking on Setup or Deploy enables you to view and modify option settings or deploy installations for that image.

If you have both 32-bit and 64-bit images, you must specify Global Settings, groups and group settings, and individual machine settings separately for each image.
Parent topic: Administrative Image Option Editor


Deploying Installations from the Option Editor

You can deploy installations directly from the Option Editor using email instructions to start the installation.

You must change the administrative image installation directory to a Windows shared directory, so it is available through a network location (for example, \\machine\shared_directory).

  1. In the Option Editor, click Deploy.
  2. If you have 32-bit and 64-bit images configured for this administrative image installation directory, click 32 or 64 to view the machines for the 32-bit or 64-bit image.

    Installation availability and status for each machine appears.

  3. Click Send Email.
  4. Specify the network path to the administrative image installation directory.

    Typically, the directory path to the administrative image installation directory is shown initially as a Windows file path (for example, C:\SolidWorks Admin\SolidWorks 2011 SP0). The dialog box indicates This path is not a network path.

    1. Click Browse to specify the network location for this administrative image installation directory.
    2. Navigate to the computer where the administrative image is installed, and select the Windows shared directory specified for the administrative image installation directory.

      Do not navigate inside the administrative image shared directory (for example, into the 32bit or 64bit subdirectories).

    3. Click OK.

      The dialog box indicates This path is a network path.

    An email is created to instruct the machine owner how to install from the administrative image using the network location for the StartSWInstall.hta file in the administrative image.

  5. Send the email to the users responsible for installing SolidWorks.

Users can double-click the link to the network location for StartSWInstall.hta in the email to install SolidWorks from the administrative image.

In the Option Editor, Installation Status shows:
Pending
The user has not yet run the Installation on this machine.
Successful
The user successfully completed the installation on this machine.
Failed
The user ran the installation on this machine, but it failed.
  • Using a Mapped Drive to Deploy an Administrative Image
    A UNC path (\\machine_name\share_name) is the recommended method for specifying a network location for the administrative image installation directory. However, you can use a mapped drive as the location for the StartSWInstall.hta file in the administrative image (for example, U:\StartSWInstall.hta), provided the installing users all have that same drive letter mapped to the administrative image shared directory.
Parent topic: Administrative Image Option Editor


Using a Mapped Drive to Deploy an Administrative Image

A UNC path (\\machine_name\share_name) is the recommended method for specifying a network location for the administrative image installation directory. However, you can use a mapped drive as the location for the StartSWInstall.hta file in the administrative image (for example, U:\StartSWInstall.hta), provided the installing users all have that same drive letter mapped to the administrative image shared directory.

For example, if you mapped the U: drive to the administrative image shared directory, the notification email will instruct the users to click a link to file://U:\StartSWIOnstall.hta. Users receiving the email can successfully install provided that the U: drive is mapped to the UNC location for the administrative image (\\machine_name\share_name).

Parent topic: Deploying Installations from the Option Editor


Exiting the Option Editor

You can click OK or Close to exit the Option Editor.

  • Click OK, Close, or use the Windows application Close button to apply changes and exit the Option Editor.
    • Click OK to apply any option setting changes and exit the Option Editor.
    • Click Close to exit the Option Editor.

      If there are changes to be applied, you are asked whether you want to save those changes.

    • Click the Windows application Close button (X). If there are changes to be applied, you are asked whether you want to save those changes.
Parent topic: Administrative Image Option Editor


Creating a Desktop Shortcut to the Option Editor

You can create a Windows desktop shortcut to the Option Editor for a particular Administrative Image from within the application.

  1. Start the Option Editor.

    For example, in Windows Explorer, navigate to the administrative image installation directory and double-click sldAdminOptionEditor.exe.

  2. Click Create Desktop Shortcut to this Option Editor.

    A shortcut to the Option Editor for the administrative image appears on the Windows desktop.

Parent topic: Administrative Image Option Editor


Deploying an Administrative Image to Clients Through Email

Once you have created a shared administrative image directory, you can notify clients by email.

Configure the administrative image directory to be shared on a machine that is accessible to other computers (for example, through a UNC path).

You can send an email containing a link to admin_image_install_dir\StartSWInstall.hta to all clients. Clients then can click this link and then click Install SolidWorks products now to start the installation from the administrative image.

If you are upgrading an administrative image to a new SolidWorks version, you can configure your administrative image location and share properties so that any clients that installed previously using that image will upgrade automatically. For details, see Upgrading Clients from Administrative Images.
Parent topic: Using Administrative Images


Advertising an Administrative Image to Clients

You can run a command to advertise a new administrative image installation to clients.

Email deployment is the method generally used to notify clients of a new SolidWorks installation. For details, see Deploying an Administrative Image to Clients Through Email.

However, as an alternative, you can execute a command to advertise a new installation to clients. For example, you might advertise to employees who do not normally use the SolidWorks application.

Advertising SolidWorks creates a shortcut to the SolidWorks application on the Start menu on the user's computer and creates a file association with the administrative image on the server. Initially, the executable files are not installed. Installation occurs only when the user first needs the application.

When the user clicks the shortcut or double-clicks a SolidWorks document, the installation begins and the SolidWorks application executes.

To advertise from an administrative image:

  1. Create and configure the administrative image.
  2. Advertise the product on each machine where the SolidWorks application is to be installed.

    For example:

    msiexec /jm path_to_msi_file_of_admin_image

    where path_to_msi_file_of_admin_image is a UNC path to the administrative image directory.

Parent topic: Using Administrative Images


Command-Line Deployment

You can automatically deploy an administrative image using a command prompt or batch file (silent installation).

  • Creating an Administrative Image from the Command Line
    You can create an administrative image using SolidWorks Installation Manager or the MS-DOS command line.
  • Preparing Clients for Command-Line Installation from an Administrative Image
    After creating the administrative image and before notifying clients, you must install Microsoft Windows components that cannot be installed by administrative images created using the command line or Microsoft Active Directory.
  • Installing from the Administrative Image Using the Command Line
    You can deploy installations from an administrative image using the command line.
  • Command-Line Properties
    Command-line properties describe here include feature properties, global properties, product-specific properties and Windows location conventions.
  • Deploying an Administrative Image Using Microsoft Active Directory
    Microsoft Active Directory Deployment is supported for deployment of the core SolidWorks product to clients.
Parent topic: Multiple Installations


Creating an Administrative Image from the Command Line

You can create an administrative image using SolidWorks Installation Manager or the MS-DOS command line.

When creating administrative images from the command line, you must create and deploy a separate image for each SolidWorks product component by running the .msi file for that component. If you are installing for non-English languages, you must create and deploy a separate image for each non-English language by running the .msi file for that language. For details about the locations of .msi files, see MSI File Locations for Administrative Images.
  1. Open a Command Prompt window.
    1. In Windows, click Start > Run.
    2. Enter cmd and click OK.
  2. Enter this command:

    msiexec /a Msi_path

    where Msi_path is the location of the .msi file for your operating system. The SolidWorks.msi is located in the swwi\data subdirectory in the installation directory.

    For example:

    msiexec /a F:\swwi\data\SolidWorks.msi

  3. In the SolidWorks Setup Wizard, follow the on-screen instructions.
  4. If you are installing SolidWorks products for non-English languages, create a separate administrative image for that language using this command:

    msiexec /a Msi_path_for_language

    where Msi_path_for_language is the location of the .msi file for the language. For example, french.msi is located in the swwi\lang\french subdirectory in the installation directory.

    For example:

    msiexec /a F:\swwi\lang\french\french.msi

Parent topic: Command-Line Deployment


Preparing Clients for Command-Line Installation from an Administrative Image

After creating the administrative image and before notifying clients, you must install Microsoft Windows components that cannot be installed by administrative images created using the command line or Microsoft Active Directory.

Installing these Windows components manually is required only if you are installing from an administrative image that was created manually using the command line or through Microsoft Active Directory. If you use SolidWorks Installation Manager to create and install the administrative image, these Windows components are installed automatically.
Here is a summary of the files required by SolidWorks in the Windows components:
Windows Installer
Contains files needed to run the installation of SolidWorks Simulation Premium.
Office Web Components
Contains COM controls that are needed for DriveWorks.
Visual C++ 2005 and 2008 Redistributable Package
Contains runtime components for Microsoft Visual C++.
The 2005 and 2008 versions both must be installed.
Visual Studio Tools for Applications
Contains a tool set supporting Visual Studio applications.
Visual Studio Remote Debugger
Provides a debugging environment for 64-bit operating systems.
.NET Framework
Contains the common language runtime and .NET Framework components that are necessary to run .NET Framework applications.
Windows Desktop Search (optional)
Supports fast searches of files and data across different data sources and locations, including the local computer and shared networks.
Windows Desktop Search files are language specific. For details, see Windows Desktop Search Language Support.
Visual C++ Redistributable Package and .NET Framework 3.5 are required for all SolidWorks products, not just the core SolidWorks product.

These components must be included in subdirectories of the administrative image directory.

This table identifies the specific files that are required for each supported operating system.
Operating System: Windows 2003 32-bit1
SolidWorks Media: 32-bit version for Windows XP, Windows Vista, and Windows 7
 | Windows Installer: |  | (Not applicable)
 | Office Web Components: |  | owc11.exe
 | Visual C++ 2005 Redistributable Package: |  | vcredist_x86.exe
 | Visual C++ 2008 Redistributable Package: |  | vcredist_x86.exe
 | Visual Studio Tools for Applications: |  | vsta_aide.msi
 | Visual Studio Remote Debugger: |  | (Not applicable)
 | .NET Framework: |  | dotnetfx35.exe
 | Windows Desktop Search (optional):
 |  | WindowsDesktopSearch-KB917013-V301-Srv2K3-x86-lang.exe
Operating System: Windows 2003 64-bit1
SolidWorks Media: 64-bit version for Windows XP, Windows Vista, and Windows 7
 | Windows Installer: |  | (Not applicable)
 | Office Web Components: |  | owc11.exe
 | Visual C++ 2005 Redistributable Package: |  | vcredist_x86.exe vcredist_x64.exe Both must be installed.
 | Visual C++ 2008 Redistributable Package: |  | vcredist_x86.exe vcredist_x64.exe Both must be installed.
 | Visual Studio Tools for Applications: |  | vsta_aide.msi
 | Visual Studio Remote Debugger: |  | rdbgexp.msi
 | .NET Framework: |  | dotnetfx35.exe
 | Windows Desktop Search (optional):
 |  | WindowsDesktopSearch-KB917013-V301-Srv2K3_XP-x64-enu.exe
Operating System: Windows 2008 32-bit1
SolidWorks Media: 32-bit version for Windows XP, Windows Vista, and Windows 7
 | Windows Installer: |  | (Not applicable)
 | Office Web Components: |  | owc11.exe
 | Visual C++ 2005 Redistributable Package: |  | vcredist_x86.exe
 | Visual C++ 2008 Redistributable Package: |  | vcredist_x86.exe
 | Visual Studio Tools for Applications: |  | vsta_aide.msi
 | Visual Studio Remote Debugger: |  | (Not applicable)
 | .NET Framework: |  | dotnetfx35.exe
 | Windows Desktop Search (optional): |  | Windows Desktop Search is a feature of the operating system.
Operating System: Windows 2008 64-bit1
SolidWorks Media: 64-bit version for Windows XP, Windows Vista, and Windows 7
 | Windows Installer: |  | (Not applicable)
 | Office Web Components: |  | owc11.exe
 | Visual C++ 2005 Redistributable Package: |  | vcredist_x86.exe vcredist_x64.exe Both must be installed.
 | Visual C++ 2008 Redistributable Package: |  | vcredist_x86.exe vcredist_x64.exe Both must be installed.
 | Visual Studio Tools for Applications: |  | vsta_aide.msi
 | Visual Studio Remote Debugger: |  | rdbgexp.msi
 | .NET Framework: |  | dotnetfx35.exe
 | Windows Desktop Search (optional): |  | Windows Desktop Search is a feature of the operating system.
Operating System: Windows XP 32-bit
SolidWorks Media: 32-bit version for Windows XP, Windows Vista, and Windows 7
 | Windows Installer: |  | WindowsInstaller-KB893803-v2-x86.exe
 | Office Web Components: |  | owc11.exe
 | Visual C++ 2005 Redistributable Package: |  | vcredist_x86.exe
 | Visual C++ 2008 Redistributable Package: |  | vcredist_x86.exe
 | Visual Studio Tools for Applications: |  | vsta_aide.msi
 | Visual Studio Remote Debugger: |  | (Not applicable)
 | .NET Framework: |  | dotnetfx35.exe
 | Windows Desktop Search (optional):
 |  | WindowsDesktopSearch-KB917013-V301-XP-x86-lang.exe
Operating System: Windows XP 64-bit
SolidWorks Media: 32-bit version for Windows XP, Windows Vista, and Windows 7
 | Windows Installer: |  | (Not applicable)
 | Office Web Components: |  | owc11.exe
 | Visual C++ 2005 Redistributable Package: |  | vcredist_x86.exe
 | Visual C++ 2008 Redistributable Package: |  | vcredist_x86.exe
 | Visual Studio Tools for Applications: |  | vsta_aide.msi
 | Visual Studio Remote Debugger: |  | rdbgexp.msi
 | .NET Framework: |  | dotnetfx35.exe
 | Windows Desktop Search (optional):
 |  | WindowsDesktopSearch-KB917013-V301-Srv2K3_XP-x64-enu.exe
Operating System: Windows XP 64-bit
SolidWorks Media: 64-bit version for Windows XP, Windows Vista, and Windows 7
 | Windows Installer: |  | (Not applicable)
 | Office Web Components: |  | owc11.exe
 | Visual C++ 2005 Redistributable Package: |  | vcredist_x86.exe vcredist_x64.exe Both must be installed.
 | Visual C++ 2008 Redistributable Package: |  | vcredist_x86.exe vcredist_x64.exe Both must be installed.
 | Visual Studio Tools for Applications: |  | vsta_aide.msi
 | Visual Studio Remote Debugger: |  | rdbgexp.msi
 | .NET Framework: |  | dotnetfx35.exe
 | Windows Desktop Search (optional):
 |  | WindowsDesktopSearch-KB917013-V301-Srv2K3_XP-x64-enu.exe
Operating System: Windows Vista 32-bit
SolidWorks Media: 32-bit version for Windows XP, Windows Vista, and Windows 7
 | Windows Installer: |  | (Not applicable)
 | Office Web Components: |  | owc11.exe
 | Visual C++ 2005 Redistributable Package: |  | vcredist_x86.exe
 | Visual C++ 2008 Redistributable Package: |  | vcredist_x86.exe
 | Visual Studio Tools for Applications: |  | vsta_aide.msi
 | Visual Studio Remote Debugger: |  | (Not applicable)
 | .NET Framework: |  | dotnetfx35.exe
 | Windows Desktop Search (optional): |  | Windows Desktop Search is a feature of the operating system.
Operating System: Windows Vista 64-bit
SolidWorks Media: 64-bit version for Windows XP, Windows Vista, and Windows 7
 | Windows Installer: |  | (Not applicable)
 | Office Web Components: |  | owc11.exe
 | Visual C++ 2005 Redistributable Package: |  | vcredist_x86.exe vcredist_x64.exe Both must be installed.
 | Visual C++ 2008 Redistributable Package: |  | vcredist_x86.exe vcredist_x64.exe Both must be installed.
 | Visual Studio Tools for Applications: |  | vsta_aide.msi
 | Visual Studio Remote Debugger: |  | rdbgexp.msi
 | .NET Framework: |  | dotnetfx35.exe
 | Windows Desktop Search (optional): |  | Windows Desktop Search is a feature of the operating system.
Operating System: Windows 7 32-bit
SolidWorks Media: 32-bit version for Windows XP, Windows Vista, and Windows 7
 | Windows Installer: |  | (Not applicable)
 | Office Web Components: |  | owc11.exe
 | Visual C++ 2005 Redistributable Package: |  | vcredist_x86.exe
 | Visual C++ 2008 Redistributable Package: |  | vcredist_x86.exe
 | Visual Studio Tools for Applications: |  | vsta_aide.msi
 | Visual Studio Remote Debugger: |  | (Not applicable)
 | .NET Framework: |  | .NET Framework and Windows Desktop Search are features of the operating system.
 | Windows Desktop Search (optional):
Operating System: Windows 7 64-bit
SolidWorks Media: 64-bit version for Windows XP, Windows Vista, and Windows 7
 | Windows Installer: |  | (Not applicable)
 | Office Web Components: |  | owc11.exe
 | Visual C++ 2005 Redistributable Package: |  | vcredist_x86.exe vcredist_x64.exe Both must be installed.
 | Visual C++ 2008 Redistributable Package: |  | vcredist_x86.exe vcredist_x64.exe Both must be installed.
 | Visual Studio Tools for Applications: |  | vsta_aide.msi
 | Visual Studio Remote Debugger: |  | rdbgexp.msi
 | .NET Framework: |  | .NET Framework and Windows Desktop Search are features of the operating system.
 | Windows Desktop Search (optional):
1Installation on Windows 2003 or Windows 2008 is supported only for Workgroup PDM Server and SolidNetWork License (SNL) Server.
  • Installing Windows Prerequisites from the Command Line on 32-bit Operating Systems
    Follow this process to install Windows prerequisites for administrative image installations using the command line on 32-bit Versions of Windows.
  • Installing Windows Prerequisites from the Command Line on 64-bit Operating Systems
    Follow this process to install Windows prerequisites for administrative image installation using the command line on 64-bit Versions of Windows.
  • SolidWorks Search and Microsoft Windows Desktop Search
    SolidWorks Search is integrated with Microsoft® Windows® Desktop Search.
Parent topic: Command-Line Deployment


Installing Windows Prerequisites from the Command Line on 32-bit Operating Systems

Follow this process to install Windows prerequisites for administrative image installations using the command line on 32-bit Versions of Windows.

To install multiple components in one install operation, create a batch file with the commands provided in the following procedures and use it to push the components to the client computers.

  1. Ensure that the target computer has at least 290 MB of available disk space and a valid TEMP directory.
  2. Install Office Web Components by running this command:

    administrative_image_directory\OfficeWeb_11\owc11.exe

  3. For Windows XP, install Windows Installer:

    administrative_image_directory\WindowsInstaller\WindowsInstaller-KB893803-v2-x86.exe

    It is not necessary to install Windows installer on any version of Windows other than Windows XP.

  4. Install the Visual C++ 2005 Redistributable Package:

    administrative_image_directory\Microsoft_C++_2005_Redistributable\vcredist_x86.exe /Q

  5. Install the Visual C++ 2008 Redistributable Package:

    administrative_image_directory\Microsoft_C++_2008_Redistributable\vcredist_x86.exe /Q

  6. For Windows XP and Windows Vista, install Microsoft .NET Framework 3.5 using Windows Server Update Services.

    It is not necessary to install the .NET Framework image on Windows 7 or later.

  7. Install the Visual Studio Tools for Applications:

    administrative_image_directory\Microsoft_VSTA\vsta_aide.msi

Parent topic: Preparing Clients for Command-Line Installation from an Administrative Image


Installing Windows Prerequisites from the Command Line on 64-bit Operating Systems

Follow this process to install Windows prerequisites for administrative image installation using the command line on 64-bit Versions of Windows.

To install multiple components in one install operation, create a batch file with the commands provided in the following procedures and use it to push the components to the client computers.

  1. Ensure that the target computer has at least 620 MB of available disk space and a valid TEMP directory.
  2. Install Office Web Components by running this command:

    administrative_image_directory\OfficeWeb_11\owc11.exe

  3. Install the Visual C++ 2005 Redistributable Package:

    administrative_image_directory\Microsoft_C++_2005_Redistributable_(x64)\vcredist_x64.exe /Q

    administrative_image_directory\Microsoft_C++_2005_Redistributable\vcredist_x86.exe /Q

    Both the 32-bit and the 64-bit versions of this package must be installed.

  4. Install the Visual C++ 2008 Redistributable Package:

    administrative_image_directory\Microsoft_C++_2008_Redistributable_(x64)\vcredist_x64.exe /Q

    administrative_image_directory\Microsoft_C++_2008_Redistributable\vcredist_x86.exe /Q

    Both the 32-bit and the 64-bit versions of this package must be installed.

  5. For Windows XP and Windows Vista, install Microsoft .NET Framework 3.5 using Windows Server Update Services.

    It is not necessary to install the .NET Framework image on Windows 7 or later.

  6. Install the Visual Studio Tools for Applications:

    administrative_image_directory\Microsoft_VSTA\vsta_aide.msi

  7. Install the Visual Studio Remote Debugger:

    administrative_image_directory\VSRemoteDebugger\install.exe /Q

Parent topic: Preparing Clients for Command-Line Installation from an Administrative Image


SolidWorks Search and Microsoft Windows Desktop Search

SolidWorks Search is integrated with Microsoft® Windows® Desktop Search.

If the correct version of Windows Desktop Search is not already installed on your computer, you are asked to install or update it during SolidWorks installation.

If you are creating an administrative image, Windows Desktop Search is not included in the administrative image directory. Microsoft Windows Desktop Search must be installed manually on client computers that install SolidWorks from an administrative image if those computers are to use SolidWorks Search.

Parent topic: Preparing Clients for Command-Line Installation from an Administrative Image


Installing from the Administrative Image Using the Command Line

You can deploy installations from an administrative image using the command line.

To install silently:
  1. Open a Command Prompt window (in Windows, click Start > Run.
  2. Type the msiexec.exe command with the /i and /qb switches and set the properties for any options that are not the default values as shown below.
Individual installation component command-line properties include:
  • Command-Line Feature Properties
  • Command-Line Global Properties
  • SolidWorks eDrawings Command Line Properties
  • SolidWorks Explorer/Workgroup PDM Command-Line Properties
  • SolidWorks Flow Simulation Command Line Properties
Use the following examples as templates for silent installation.
SolidWorks Client
  • SolidWorks core (English)
  • Toolbox add-in
  • Participation in the feedback program
  • French language

32-bit version of SolidWorks on 32-bit operating system:

msiexec /i "32-bit_admin_image_path\SolidWorks\SolidWorks.Msi" INSTALLDIR="C:\Program Files\your_folder" SOLIDWORKSSERIALNUMBER="xxxx xxxx xxxx xxxx xxxx xxxx" ENABLEPERFORMANCE=1 OFFICEOPTION=3 ADDLOCAL=SolidWorks,SolidWorksToolbox,Intel_Modules_AgeiaX86 /qb

32-bit version of SolidWorks on 64-bit operating system:

msiexec /i "32-bit_admin_image_path\SolidWorks\SolidWorks.Msi" INSTALLDIR="C:\Program Files\your_folder" SOLIDWORKSSERIALNUMBER="xxxx xxxx xxxx xxxx xxxx xxxx" ENABLEPERFORMANCE=1 OFFICEOPTION=3 ADDLOCAL=SolidWorks,SolidWorksToolbox,Intel_Modules_AgeiaX64 /qb

64-bit version of SolidWorks on 64-bit operating system:

msiexec /i "64-bit_admin_image_path\SolidWorks\SolidWorks.Msi" INSTALLDIR="C:\Program Files\your_folder" SOLIDWORKSSERIALNUMBER="xxxx xxxx xxxx xxxx xxxx xxxx" ENABLEPERFORMANCE=1 OFFICEOPTION=3 ADDLOCAL=SolidWorks,SolidWorksToolbox /qb

The SolidWorks French language installation component must be installed separately:
  • 32-bit version:

    msiexec /i "32-bit_admin_image_path\SolidWorks French\french.msi" /qb

  • 64-bit version:

    msiexec /i "64-bit_admin_image_path\SolidWorks French\french.msi" /qb

When specifying SolidWorks language component installation commands, do not specify command-line arguments.
eDrawings Client
  • Log performance
  • All features

msiexec /i "admin_image_path\SolidWorks eDrawings\eDrawings.msi" INSTALLDIR="C:\Program Files\your_folder" LOGPERFORMANCE=1 SNLSERVER=eDrawings_SNL_server TRANSFORMS=1040.mst ADDLOCAL=All /qb
SolidWorks Explorer and Workgroup PDM add-in
  • SolidWorks Explorer with Workgroup PDM add-in

msiexec /i "admin_image_path\SolidWorks Explorer\SolidWorks Explorer.msi" INSTALLDIR="C:\Program Files\your_folder" EXPLORERORPDM=1 ADDLOCAL=VaultAdmin,Client,Standalone,DocMgr,LicenseEXE ACTIVSERIALNUMBER="xxxx xxxx xxxx xxxx xxxx xxxx" /qb
Parent topic: Command-Line Deployment


Command-Line Properties

Command-line properties describe here include feature properties, global properties, product-specific properties and Windows location conventions.

  • Command-Line Feature Properties
    SolidWorks installation supports these ADDLOCAL properties for command-line deployment.
  • Command-Line Global Properties
    Each property is defined for administrative or individual installations, unless otherwise noted. Serial numbers can be passed to both an administrative installation and an individual installation using global properties.
  • SolidWorks eDrawings Command Line Properties
    These command-line properties are specific to eDrawings.
  • SolidWorks Explorer/Workgroup PDM Command-Line Properties
    These command-line properties are specific to SolidWorks Explorer and SolidWorks Workgroup PDM.
  • SolidWorks Flow Simulation Command Line Properties
    These command-line properties are specific to SolidWorks Flow Simulation.
  • MSI File Locations for Administrative Images
    To create administrative images from the command line, the product component .msi files are stored in these locations on the SolidWorks media.
  • Windows Desktop Search Language Support
    Windows Desktop Search file names indicate platform and language information.
Parent topic: Command-Line Deployment


Command-Line Feature Properties

SolidWorks installation supports these ADDLOCAL properties for command-line deployment.

  • CircuitWorks
  • CoreSolidWorksTaskScheduler
  • ExampleFiles
  • FeatureWorks
  • HelpFiles
  • InstantWebsite
  • Intel_Modules_AgeiaX86 (for 32-bit SolidWorks on 32-bit operating systems)
  • Intel_Modules_AgeiaX64 (for 32-bit SolidWorks on 64-bit operating systems)
  • Manuals
  • Motion
  • PhotoView
  • RealViewGraphicsdisplay
  • ScanTo3D
  • Simulation
  • SolidWorks
  • SolidWorksAnimator
  • SolidWorksDesignChecker
  • SolidWorksRoutedsystems
  • SolidWorksToolbox
  • SolidWorksUtilities
  • TolAnalyst
  • XchangeWorks
When specifying properties for command-line installation:
  • SolidWorks does not support product installation using the ADDSOURCE option.
  • Properties are case sensitive, cannot contain spaces or dashes, and must be separated by commas.
  • SolidWorks must be specified for the SolidWorks application to be installed correctly.
Parent topic: Command-Line Properties


Command-Line Global Properties

Each property is defined for administrative or individual installations, unless otherwise noted. Serial numbers can be passed to both an administrative installation and an individual installation using global properties.

Property | Description
ENABLEPERFORMANCE Whether the application should automatically send performance data to SolidWorks Corporation.

1 to send performance data, 0 otherwise.
INSTALLDIR Installation folder for SolidWorks.

Individual installations only.
INSTALLWDS Install the SolidWorks extensions that use Microsoft Windows Desktop Search Engine. For details, see Preparing Clients for Installation from an Administrative Image.

1 to install the extensions, 0 otherwise.
MOTIONSERIALNUMBER | Serial number for the SolidWorks Motion product
OFFICEOPTION Specify product package to install:
0
SolidWorks Client
1
SolidWorks Office
2
SolidWorks Professional
3
SolidWorks Premium
REINSTALL Specify ALL to update all features currently installed.
Specify this property only when updating to a Service Pack release within an existing major release (for example, updating an existing SolidWorks 2011 SP01 installation to SolidWorks 2011 SP02).
REINSTALLMODE Microsoft Installer re-installation options.

For example, when upgrading an installation from one Service Pack release to another within the same major release, you should specify REINSTALLMODE=vomus.

For details about REINSTALLMODE settings, see the Windows Installer documentation at www.microsoft.com.

Specify this property only when updating to a Service Pack release within an existing major release (for example, updating an existing SolidWorks 2011 SP01 installation to SolidWorks 2011 SP02). Do not specify this property the first time you are installing a new major release of SolidWorks.
SERVERLIST SolidNetWork server list.
The SolidNetWork server list is a list of strings delimited by semi-colons, each of which refers to a port number on a server with the format:

xxxxx@server_name1;yyyyy@server_name2;&

where x and y are single digits. After the last server in the list, do not put a semi-colon.

Individual installations only.
SIMULATIONSERIALNUMBER | Serial number for the SolidWorks Simulation product
SOLIDWORKSSERIALNUMBER | Serial number for the SolidWorks product, which includes all add-ins.
SWMIGRATE SolidWorks version to upgrade as it would be shown in the list in the SolidWorks Install Choice dialog box. For example:

SWMIGRATE="SolidWorks 2011 SP01"

Specify this property only when installing a new major release while there is a prior major release currently installed. Do not specify this property when upgrading from one Service Pack release to another within the same major release.
TARGETDIR Installation folder for SolidWorks.

Administrative installations only.
TOOLBOXFOLDER Installation folder for SolidWorks Toolbox files.

Individual installations only.
TRANSFORMS Contains language-specific items of the form:
TRANSFORMS number.mst
  • Chinese (1028)
  • Chinese-Simplified (2052)
  • Czech (1029)
  • English (1033)
  • French (1036)
  • German (1031)
  • Italian (1040)
  • Japanese (1041)
  • Korean (1042)
  • Polish (1045)
  • Portuguese-Brazilian (1046)
  • Russian (1049)
  • Spanish (1034)
  • Turkish (1055)
UPGRADESWINSTALL
Specify whether to upgrade an existing version of SolidWorks to the current version.
0
New installation, do not update
1
Update

Individual installations only.

Specify this property only when installing a new major release while there is a prior major release currently installed. Do not specify this property when upgrading from one Service Pack release to another within the same major release.
Parent topic: Command-Line Properties


SolidWorks eDrawings Command Line Properties

These command-line properties are specific to eDrawings.

Property | Description
ADDLOCAL Specifies which portion of the SolidWorks eDrawings application to install.

All is the recommended option.
Command Line Syntax: Feature:
All | Installs all the features. The eDrawings application searches for installed SolidWorks and AutoCAD publisher applications to validate the install.
eDrawingsViewer | View eDrawings and other files.
PublisherForAutoCADR14 | Create eDrawings files from the AutoCAD R14 application.
PublisherForAutoCAD2000 | Create eDrawings files from the AutoCAD 2000 application.
PublisherForAutoCAD2004 | Create eDrawings files from the AutoCAD 2004 application.
PublisherForAutoCAD2005 | Create eDrawings files from the AutoCAD 2005 application.
PublisherForAutoCAD2006 | Create eDrawings files from the AutoCAD 2006 application.
DXFDWGTranslator | View DXF/DWG files in the eDrawings Viewer.
Shortcuts | Install desktop shortcut.
XML3D | View 3DXML files in the eDrawings Viewer.
INSTALLDIR | Specifies the installation folder for SolidWorks eDrawings.
LOGPERFORMANCE Specifies whether the application should automatically email performance data to SolidWorks Corporation.
1
Send performance data
0
Otherwise
SNLSERVER Enter the port@servername for your SolidNetWork License server. Use semi-colons to separate multiple port@servername combinations.

A port server name for SNLSERVER is only required for the SolidWorks SNL server configuration. list_of_port@server_strings is a list of strings delimited by semi-colons, each of which refers to a port number on a server with the format:

xxxxx@server_name1; yyyyy@server_name2;

where x and y are single digits. After the last server in the list, do not put a semi-colon.
Parent topic: Command-Line Properties


SolidWorks Explorer/Workgroup PDM Command-Line Properties

These command-line properties are specific to SolidWorks Explorer and SolidWorks Workgroup PDM.

For SolidWorks Explorer/Workgroup PDM client:
Client Property | Description
EXPLORERORPDM
0
SolidWorks Explorer only
1
Workgroup PDM features can be installed
ADDLOCAL
  • Standalone
  • Client
  • Client64
  • VaultAdmin
  • AutoCADRxxxx
  • DocMgr
  • DocMgr64
  • LicenseEXE

Standalone is the Contributor and Client is the SolidWorks Add-in for SolidWorks Explorer silent installations.

If you specify AutoCAD, AutoCAD must be installed on your system. Workgroup PDM locates the appropriate version of AutoCAD. You can specify more than one version of AutoCAD:

  • AutoCADR14Addin
  • AutoCADR2000Addin
  • AutoCADR2004Addin
  • AutoCADR2005Addin
  • AutoCADR2006Addin

Client64 and DocMgr64 work with only 64-bit SolidWorks Explorer installations.

INSTALLDIR | Specifies the installation folder for Workgroup PDM.
ACTIVSERIALNUMBER | Specifies the Solidworks serial number.
For Workgroup PDM Server:
Server Property | Description
ADDLOCAL
  • Vault
  • WebPortal
  • API

If you specify WebPortal (the Viewer), you must also specify VAULTNAME.
INSTALLDIR | Specifies the installation folder for Workgroup PDM.
LICENSE_SERVER | Specifies the name of the computer where the license server resides.
VAULTDATA | Specifies the path and folder of the vault.
VAULTNAME | Specifies the name of the computer where the vault resides.
Parent topic: Command-Line Properties


SolidWorks Flow Simulation Command Line Properties

These command-line properties are specific to SolidWorks Flow Simulation.

Property | Description
ACTIVSERIALNUMBER SolidWorks Flow Simulation standalone serial number.

(Individual installations and client installations from an administrative image)
CWUPGRADEINSTALL Upgrades an existing version of a particular SolidWorks Flow Simulation application software.
1
Update
2
New installation; install in a new directory

(Individual installations and client installations from an administrative image)
INSTALLDIR Specifies the installation for a particular SolidWorks Flow Simulation application software.

(Individual installations only)
SERVERLIST | List of strings delimited by semi-colons, each of which refers to a port number on a server with the format: xxxxx@server_name1; yyyyy@server_name2;& where x and y are single digits. After the last server in the list, do not put a semi-colon.
SOLIDWORKSPATH Specifies the folder where the SolidWorks software is installed.

(Individual installations and client installations from an administrative image)
TARGETDIR Specifies the installation for a particular SolidWorks Flow Simulation application software.

(Administrative image installations only)
Parent topic: Command-Line Properties


MSI File Locations for Administrative Images

To create administrative images from the command line, the product component .msi files are stored in these locations on the SolidWorks media.

Product | Media Location
SolidWorks (core product, English) | swwi\data\SolidWorks.msi
SolidWorks (non-English language components) | Traditional Chinese | swwi\lang\chinese\chinese.msi
 | Simplified Chinese | swwi\lang\chinese-simplified\chinese-simplified.msi
 | Czech | swwi\lang\czech\czech.msi
 | French | swwi\lang\french\french.msi
 | German | swwi\lang\german\german.msi
 | Italian | swwi\lang\italian\italian.msi
 | Japanese | swwi\lang\japanese\japanese.msi
 | Korean | swwi\lang\korean\korean.msi
 | Polish | swwi\lang\polish\polish.msi
 | Portuguese (Brazilian) | swwi\lang\portuguese-brazilian\portuguese-brazilian.msi
 | Russian | swwi\lang\russian\russian.msi
 | Spanish | swwi\lang\spanish\spanish.msi
 | Turkish | swwi\lang\turkish\turkish.msi
SolidWorks API SDK | apisdk\SolidWorks API SDK.msi
SolidWorks Simulation products | COSMOSM\COSMOSM_lang.msi
eDrawings | eDrawings\eDrawings.msi
eDrawings Shaders | eDrawingsShaders\eDrawings.msi
eDrawingsAPI SDK | eDrwAPISDK\eDrawings API SDK.msi
Flow Simulation | Flow Simulation\SolidWorks Flow Simulation.msi
Workgroup PDM Server | pdmwserver\SolidWorks Workgroup PDM Server.msi
SolidWorks Activation Wizard | swactwizard\Activation Wizard.msi
DocManager APIs | swdocmgr\SolidWorks Document Manager API.msi
SolidWorks Explorer | swexplorer\SolidWorks Explorer.msi
SolidNetWork License Manager | swlicmgr\SolidWorks SolidNetWork License Manager.msi
SolidWorks Viewer | swviewer\SolidWorks Viewer.msi
Parent topic: Command-Line Properties


Windows Desktop Search Language Support

Windows Desktop Search file names indicate platform and language information.

Platform/architecture:
srv2k3 | Windows Server 2003
xp | Windows XP
x86 | 32-bit Windows
x64 | 64-bit Windows
Language:
chs | Simplified Chinese
cht | Chinese
csy | Czech
deu | German
enu | English
esn | Spanish
fra | French
ita | Italian
jpn | Japanese
kor | Korean
plk | Polish
ptb | Brazilian Portuguese
rus | Russian
trk | Turkish
Parent topic: Command-Line Properties


Deploying an Administrative Image Using Microsoft Active Directory

Microsoft Active Directory Deployment is supported for deployment of the core SolidWorks product to clients.

Microsoft Active Directory is a directory service for managing clients and servers in network environments. It simplifies management, migration, and deployment.

  1. Create an administrative image using SolidWorks Installation Manager or the command line.
  2. If you have created the administrative image using the command line, install the Windows prerequisites for installation from an administrative image using Microsoft Active Directory. For details, see Installing Windows Prerequisites Using Microsoft Active Directory.

    Perform this step only if you created the image manually using the command line. If you created and installed the image using SolidWorks Installation Manager, all Windows prerequisites were installed automatically.

  3. Create a transform file to customize the SolidWorks software:
    1. Open the Command Prompt window.
    2. In the folder that contains the administrative image, drag SWCreateMST.exe into the Command Prompt window.

      The command should be in the format:

      administrative_image_directory\SWCreateMST.exe path_to_MSI_file_of_an_administrative_image list_of_properties

      Properties can be feature properties or global properties. For details, see Command-Line Feature Properties and Command-Line Global Properties.

      Use the following examples as templates:

      • If you are installing SolidWorks (32-bit version) on a 32-bit operating system:

        C:\admin\SWCreateMST.exe "c:\admin\SolidWorks.msi" INSTALLDIR="C:\Program Files\your_folder" SOLIDWORKSSERIALNUMBER="xxxx xxxx xxxx xxxx" ADDLOCAL=SolidWorks,Manuals,Intel_Modules_AgeiaX86 OFFICEOPTION=0 SERVERLIST="25734@your_server"

      • If you are installing SolidWorks (32-bit version) on a 64-bit operating system:

        C:\admin\SWCreateMST.exe "c:\admin\SolidWorks.msi" INSTALLDIR="C:\Program Files\your_folder" SOLIDWORKSSERIALNUMBER="xxxx xxxx xxxx xxxx" ADDLOCAL=SolidWorks,Manuals,Intel_Modules_AgeiaX64 OFFICEOPTION=0 SERVERLIST="25734@your_server"

      • If you are installing SolidWorks (64-bit version) on a 64-bit operating system:

        C:\admin\SWCreateMST.exe "c:\admin\SolidWorks.msi" INSTALLDIR="C:\Program Files\your_folder" SOLIDWORKSSERIALNUMBER="xxxx xxxx xxxx xxxx" ADDLOCAL=SolidWorks,Manuals OFFICEOPTION=0 SERVERLIST="25734@your_server"

      The transform file, SolidWorks.mst, is created in the folder that contains the administrative image.

  4. In the Active Directory, edit the Published Apps policy for the group or groups to deploy the SolidWorks software.
  5. In the Group Policy dialog box, expand Computer Configuration and Software Settings.
  6. Right-click Software installation and select New > Package.
  7. Browse to the administrative image and click Open.
  8. In the Deploy Software dialog box, select Advanced published or assigned, then click OK.
  9. In the SolidWorks Properties dialog box, on the Modifications tab:
    1. Click Add.
    2. Browse to the .mst file.
    3. Click Open.
  10. Click OK.
  • Installing Windows Prerequisites Using Microsoft Active Directory
    Follow this process to prepare an existing administrative image that will install SolidWorks onto client computers using Microsoft Windows Active Directory.
Parent topic: Command-Line Deployment


Installing Windows Prerequisites Using Microsoft Active Directory

Follow this process to prepare an existing administrative image that will install SolidWorks onto client computers using Microsoft Windows Active Directory.

In these processes, use the command that is appropriate to the version of SolidWorks you are deploying.

  1. Extract the 2005 Visual C++ Redistributable Package installer files and install them.
    1. Run one of these commands.

      For 32-bit versions of Windows:

      administrative_image_directory\Microsoft_C++_2005_Redistributable\vcredist_x86.exe /C /T:{C++_target_directory}

      For 64-bit versions of Windows:

      administrative_image_directory\Microsoft_C++_2008_Redistributable(64)\vcredist_x64.exe /C /T:{C++_target_directory}

    2. Create a policy to install the Microsoft C++ 2005 redistributable module:

      {2005_C++_target_directory}\vcredist.msi –

      No transform file is needed for this installation.

  2. Extract the 2008 Visual C++ Redistributable Package installer files and install them.
    1. Run one of these commands.

      For 32-bit versions of Windows:

      administrative_image_directory\Microsoft_C++_2008_Redistributable\vcredist_x86.exe /x:{C++_target_directory}

      For 64-bit versions of Windows:

      administrative_image_directory\Microsoft_C++_2008_Redistributable(64)\vcredist_x64.exe /x:{C++_target_directory}

    2. Create a policy to install the Microsoft C++ 2008 redistributable module:

      {2008_C++_target_directory}\vcredist.msi –

      No transform file is needed for this installation.

  3. Using Windows Server Update Services, install Microsoft .NET Framework 3.5.

    It is not necessary to install the .NET Framework image on Windows 7 or later.

  4. Extract the Office Web Components files and install them.
    1. Run this command:

      administrative_image_directory\OfficeWeb_11\owc11.exe /extract:{Office_Web_components_directory}

    2. Create a policy to install the Office Web Components:

      {Office_Web_components_directory}\owc11.MSI

      No transform file is needed for this installation.

  5. Install the Visual Studio Tools for Applications (VSTA), by creating this policy:

    {Microsoft_VSTA_directory}\vsta_aide.MSI

    No transform file is needed for this installation.

  6. Install the Visual Studio Remote Debugger (64-bit versions only), by creating this policy:

    {Microsoft_remote_debugger_directory}\rdbgexp.MSI

    No transform file is needed for this installation.

Parent topic: Deploying an Administrative Image Using Microsoft Active Directory


Administration of Multiple Installations

For multiple installations, administrative tasks include upgrading administrative images to new releases, applying service pack updates, and removing installations.

  • Upgrading Administrative Images to a New Release
    To update clients who installed from an administrative image, first update the administrative image and then configure the clients to reference the new copy of the image.
  • Service Pack Product Update Administration
    Service Pack product updates can contain updates for system reliability, program compatibility, security, and so on.
  • Removing an Installation
    You can remove an installation on an individual computer or in a client/server environment.
Parent topic: Multiple Installations


Upgrading Administrative Images to a New Release

To update clients who installed from an administrative image, first update the administrative image and then configure the clients to reference the new copy of the image.

Run SolidWorks Installation Manager from the Internet so that the correct files are referenced. SolidWorks Installation Manager will redirect itself to do this, or you can run the update directly from the SolidWorks Downloads Web site (http://www.solidworks.com/sw/support/downloads.htm).

Once you have updated the administrative image (which creates a new copy of the image), you can update clients by having them reference the new copy of the administrative image.

If clients referenced the previous version of the administrative image using a mapped drive or a shared directory, you could redefine that mapped drive or shared directory using the location of the updated copy of the administrative image.
  • Downloading Updated Installation Files for Administrative Images
    SolidWorks Installation Manager can detect when you need updated installation files when upgrading an administrative image.
  • Upgrading an Administrative Image
    To upgrade an administrative image, SolidWorks Installation Manager creates a new image directory. You then direct clients to use the new administrative image directory to upgrade to that product version.
  • Upgrading Clients from Administrative Images
    SolidWorks Installation Manager can automatically update client computers installed from an administrative image.
Parent topic: Administration of Multiple Installations


Downloading Updated Installation Files for Administrative Images

SolidWorks Installation Manager can detect when you need updated installation files when upgrading an administrative image.

  1. Start SolidWorks Installation Manager by inserting the DVD.
  2. On the Welcome screen, select Administrative image.
  3. On the Serial Number screen, enter the SolidWorks serial number.

    SolidWorks Installation Manager checks the SolidWorks Web site for your licensed products and available service packs.

  4. If the Newer Version Available screen appears, select Yes, download and install a newer version: version.

    SolidWorks Installation Manager starts a new session to install the newer version.

  5. If there is a problem with the download folder, Download Options might appear, in which case, accept the default directory for the new installation files or enter a new directory name.

    If you see a message that the directory does not exist, click Yes to create it.

  6. On the Download Complete screen, click Close to close the current installer and start the installer for the new version.
Parent topic: Upgrading Administrative Images to a New Release


Upgrading an Administrative Image

To upgrade an administrative image, SolidWorks Installation Manager creates a new image directory. You then direct clients to use the new administrative image directory to upgrade to that product version.

This process assumes you have downloaded any updated installation files for the administrative image. For details, see Downloading Updated Installation Files for Administrative Images.

  1. Start SolidWorks Installation Manager. For details, see Initiating SolidWorks Installation.
  2. On the Welcome screen, select Administrative image.

    Administrative image creation options appear:

    Create a new image using default settings.
    Create the image using the default configuration settings (that is, not based on the settings currently established for an existing administrative image at your site).
    Create a new image using settings and files from an existing image.
    Create the image using configuration settings specified for an existing administrative image at your site. Click Browse to specify the installation directory for the existing administrative image.
    Create both 32-bit and 64-bit administrative images.
    You can create both 32-bit and 64-bit images on a single computer or you can create just the image that corresponds to that computer architecture. Creating both images does require that you have access to the 32-bit and 64-bit installation media.

  3. On the Serial Number screen, check the serial number.
  4. On the Summary (Ready to Create Image) screen, check that the administrative image options are correct.

    For details about individual administrative image and installation options, click CHANGE to go to the option page and then click Help.

  5. To create the new version of the administrative image, click Create Now.

You can now upgrade clients to this new version of the administrative image. For details, see Upgrading Clients from Administrative Images.

Parent topic: Upgrading Administrative Images to a New Release


Upgrading Clients from Administrative Images

SolidWorks Installation Manager can automatically update client computers installed from an administrative image.

Typically, administrative images are organized in folders on a server. To support the automatic upgrade of clients, the administrative image must be located in a shared folder.

After upgrading the administrative image, the original installation will be in one folder and the upgraded installation will be in another folder. To use the upgraded installation, remove the sharing option from the original administrative image folder and then add the sharing option to the upgraded administrative image folder.

When SolidWorks starts on a client machine that installed from the original administrative image, it sees the new version and upgrades the client.

  • Removing the Sharing Option from the Original Administrative Image Folder
    When upgrading an administrative image that is accessed from a shared folder, you must remove the sharing option from the original folder.
  • Adding the Sharing Option to an Upgraded Administrative Image Folder
    Once you have created an updated administrative image folder and disabled the sharing for the original administrative image folder, you must add the sharing option to the new folder to re-enable the administrative image.
  • Upgrading Clients of Administrative Images Manually Using the Command Line
    Once you have upgraded an administrative image, you can upgrade clients manually using the command line.
Parent topic: Upgrading Administrative Images to a New Release


Removing the Sharing Option from the Original Administrative Image Folder

When upgrading an administrative image that is accessed from a shared folder, you must remove the sharing option from the original folder.

  1. Browse to the folder where the original administrative image files are located.
  2. Right-click the folder and select Properties.
  3. On the Sharing tab, select Do not share this folder, and then click OK.

Now add the sharing option to the upgraded administrative image folder as described in Adding the Sharing Option to an Upgraded Administrative Image Folder.

Parent topic: Upgrading Clients from Administrative Images


Adding the Sharing Option to an Upgraded Administrative Image Folder

Once you have created an updated administrative image folder and disabled the sharing for the original administrative image folder, you must add the sharing option to the new folder to re-enable the administrative image.

  1. Browse to the folder where the upgraded administrative image files are located.
  2. Right-click the folder and select Properties.
  3. On the Sharing tab, specify the sharing properties appropriate for your organization or group and change the share name to the name used for the original administrative image folder.
Computers that installed from the original administrative image share location will upgrade to the new version automatically when starting SolidWorks.
Parent topic: Upgrading Clients from Administrative Images


Upgrading Clients of Administrative Images Manually Using the Command Line

Once you have upgraded an administrative image, you can upgrade clients manually using the command line.

  1. Make sure all clients are at the same service pack of the previous release. (Clients that do not already have the application installed are not upgraded.)
  2. Optionally, on one of the client systems, run the Copy Settings Wizard to capture the current SolidWorks options.
  3. Create a new administrative image using SolidWorks Installation Manager or the command line.

    Do not upgrade or overwrite the previous image.
    If you are upgrading a non-English SolidWorks installation, you must create a new administrative image for the non-English language installation component.

  4. Upgrade all clients to the new version using the msiexec command, with these specifications:

    • Include the /I and qb msiexec command-line options.
    • Specify any required feature and global command-line properties. For details, see Command-Line Properties.

    For example, to upgrade an existing version of SolidWorks:

    msiexec /I Msi_path" INSTALLDIR="C:\Program Files\your_folder" SOLIDWORKSSERIALNUMBER="xxxx xxxx xxxx xxxx xxxx xxxx" UPGRADESWINSTALL=1 SWMIGRATE="SolidWorks version servicepack" /qb

    If you are upgrading a non-English SolidWorks installation, you must upgrade the non-English language component after you upgrade the SolidWorks components.

Parent topic: Upgrading Clients from Administrative Images


Service Pack Product Update Administration

Service Pack product updates can contain updates for system reliability, program compatibility, security, and so on.

You can acquire product updates in two ways:

For current versions of SolidWorks:
By using SolidWorks Installation Manager to check for, download, and install updates.

You can initiate SolidWorks Installation Manager manually, or schedule it to check periodically for updates.

For versions of SolidWorks prior to 2008:
By downloading service packs manually from the SolidWorks support Web site.

Service packs are applied as patches to an existing software version. For example, SolidWorks 2007 SP1.0 is a service pack for SolidWorks 2007 SP0.0. You can install these service packs using SolidWorks 2007 Installation Manager; you cannot install them using SolidWorks Installation Manager in SolidWorks 2008 or later.

For instructions on downloading and installing service packs, see the installation documentation for the SolidWorks version you are updating.

  • Rolling Back Service Packs in an Administrative Image
    You can roll back an administrative image to an earlier installed service pack. If you installed the SolidWorks software with disks, you need the original disks to restore a service pack. You must have saved a copy of the earlier administrative image.
  • Applying Service Packs to Clients Deployed with Microsoft Active Directory
    If you have installed the SolidWorks software using the Microsoft Active Directory, you can apply service packs to clients with it.
Parent topic: Administration of Multiple Installations


Rolling Back Service Packs in an Administrative Image

You can roll back an administrative image to an earlier installed service pack. If you installed the SolidWorks software with disks, you need the original disks to restore a service pack. You must have saved a copy of the earlier administrative image.

Administrative images that have been upgraded cannot be rolled back to a previous service pack. Administrative images created with any method other than SolidWorks Installation Manager cannot be rolled back to a previous version. Clients installed from these administrative images must be uninstalled and then reinstalled using an administrative image created from the previous version.
  1. Delete the folder that contains the current administrative image. To do this, open the Command Prompt window and enter:

    rmdir /s/q path_to_current_administrative_image

  2. Move the backup copy of the administrative image to the location where you deleted the current administrative image. To do this, open the Command Prompt window and enter:

    move path_to_backup_administrative_image path_to_current_administrative_image

    After you roll back an administrative image, client computers roll back automatically the next time they run the SolidWorks software.

Parent topic: Service Pack Product Update Administration


Applying Service Packs to Clients Deployed with Microsoft Active Directory

If you have installed the SolidWorks software using the Microsoft Active Directory, you can apply service packs to clients with it.

  1. Copy the administrative image to a new folder using the following command line:

    xcopy path_to_current_administrative_image path_to_backup_administrative_image /s/i/v

  2. Apply the service pack to the copy of the administrative image.
  3. Create a new transform file to specify an upgrade installation for the SolidWorks software:
    1. Open the Command Prompt window.
    2. In the folder that contains the administrative image, drag SWCreateMST.exe into the Command Prompt window.

      The command format is:

      path_to_administrative_image\SWCreateMST.exe path_to_MSI_file_of_an_administrative_image list_of_properties

      The command line must include all of the parameters used to create the original transform file, plus the global properties UPGRADESWINSTALL and SWMIGRATE.

      For example, if the original command was:

      C:\admin\SWCreateMST.exe "c:\admin\SolidWorks.msi" INSTALLDIR="C:\Program Files\your_folder" SOLIDWORKSSERIALNUMBER="xxxx xxxx xxxx xxxx" ADDLOCAL=SolidWorks,Manuals,Intel_Modules_AgeiaX86 OFFICEOPTION=0 SERVERLIST=25734@your_server

      the update command must be:

      C:\admin\SWCreateMST.exe "c:\admin\SolidWorks.msi" INSTALLDIR="C:\Program Files\your_folder" SOLIDWORKSSERIALNUMBER="xxxx xxxx xxxx xxxx" ADDLOCAL=SolidWorks,Manuals,Intel_Modules_AgeiaX86 OFFICEOPTION=0 SERVERLIST=25734@your_server UPGRADESWINSTALL=1 SWMIGRATE="SolidWorks version service_pack"

      The transform file, SolidWorks.mst, is created in the folder that contains the administrative image.

      The original and update commands in this example are for installing the 32-bit version of SolidWorks on a 32-bit version operating system. If you are installing the 32-bit version of SolidWorks on a 64-bit operating system, you would use "Intel_Modules_AgeiaX64" in place of "Intel_Modules_AgeiaX86". If you are installing the 64-bit version of SolidWorks on a 64-bit operating system, you would not use either "Intel_Modules_AgeiaX86” or “Intel_Modules_AgeiaX64".

  4. In the Active Directory, edit the Published Apps policy for the group or groups to deploy the SolidWorks software.
  5. In the Group Policy dialog box, expand Computer Configuration and Software Settings.
  6. Right-click Software installation and select New > Package.
  7. Browse to the administrative image and click Open.
  8. In the Deploy Software dialog box, select Advanced published or assigned, then click OK.
  9. In the SolidWorks Properties dialog box, on the Modifications tab:
    1. Click Add.
    2. Browse to the .mst file.
    3. Click Open.
  10. Click OK.
Parent topic: Service Pack Product Update Administration


Workgroup PDM

The Workgroup PDM application is product data management software that runs inside the SolidWorks environment or as a standalone application inside SolidWorks Explorer. Workgroup PDM controls projects with procedures for check out, check in, revision control, and other administration tasks.

A Workgroup PDM system is illustrated as follows:

  • A computer can contain only one Vault.
  • The Vault directory cannot be a hidden or read-only directory.
  • As a client/server application, Workgroup PDM performance depends on a robust network.
  • If your users maintain a large number of documents, performance is improved if you create more projects or subprojects with fewer documents per project instead of keeping the documents in a smaller number of projects with more documents per project.

Installation

  • Clients and the VaultAdmin, API, and Viewer can be installed on the same computer as the Vault, or on different computers.
  • It is not necessary to install the Workgroup PDM Server to install the client API. The client API is installed during the Workgroup PDM Client installation.
  • To configure the vault folder on a remote location, type the full Universal Naming Convention (UNC) path when prompted for the server destination. (For details, see UNC Format.)
  • Installing or updating the vault requires a computer reboot.
  • If the Workgroup PDM Server Service does not start automatically after rebooting, you must start it manually. In Windows Explorer, run pdmwvault.exe in the install_dir\SolidWorks Workgroup PDM\Vault folder.
  • When you install a Workgroup PDM client, you must install solidworksexplorer.exe on each computer. This executable can be on a shared drive. The Workgroup PDM Vault, Viewer, API Client, and VaultAdmin are not installed on each client computer.

Licenses

  • A license for Workgroup PDM API is included with the licenses of SolidWorks clients and Explorer clients. Check-in APIs require client licenses.
  • A Workgroup PDM Viewer license must be installed with the vault to enable the Viewer.

Permissions

  • The vault administrator should have write permission for installation and for the vault folder.
  • The vault administrator should manage the vault folder from the VaultAdmin, not with Windows Explorer.
  • Users should never have write permission in Windows Explorer for the vault folder.

Security, Ports, and Duplex Settings

  • Workgroup PDM must be able to install as a Windows service, so other applications cannot be allowed to block or filter the service. For example, if anti-spyware tools such as Microsoft AntiSpyware display an alert requiring approval during the installation process, click Allow so the Workgroup PDM Server is installed as a Windows Service.
  • If you install Workgroup PDM on a Windows XP system with Service Pack 2, a Windows 2003 server with Service Pack 1, or a computer with an active firewall, you must enable Workgroup PDM ports as exceptions in the firewall setup.

    Typically, the ports are:

    • 20000 (VaultAdmin)
    • 30000 (Data)
    • 40000 (Request)
    • 80 (Viewer)
    For information on changing the port settings, see Troubleshooting for Vault Administrators in the Workgroup PDM and SolidWorks Explorer help and the Microsoft Windows help for Security Center. To install the Workgroup PDM Vault and the Viewer concurrently, use the Custom option in the Setup Type dialog box.
  • The duplex setting for servers and their corresponding ports should be the same; for example, both could be 100MB Full or both could be Auto.

SolidWorks Toolbox Documents

SolidWorks Toolbox documents are common hardware components that usually do not require revision control and are not checked in to the Workgroup PDM Vault. See the Workgroup PDM online help for details about configuring SolidWorks Toolbox and other standard libraries.

  • Workgroup PDM Viewer
    The Workgroup PDM software automatically sets up a virtual directory during installation using Microsoft Internet Information Services (IIS).
  • Installing a Workgroup PDM Server
    Installing the Workgroup PDM Server creates a Workgroup PDM vault, which is the database that stores the managed SolidWorks projects.
  • Configuring Workgroup PDM for Clients
    After you have installed the Workgroup PDM server vault, you can then configure the vault for clients.
  • Installing Workgroup PDM Server and Viewer in a Perimeter Network
    Installing a SolidWorks Workgroup PDM Web server and Workgroup PDM Viewer in a perimeter network (DMZ) has firewall implications.
  • Workgroup PDM Client Access
    Workgroup PDM clients use Microsoft Windows login access control, have Web access through the Workgroup PDM Viewer, and are updated automatically whenever the Workgroup PDM Vault has been updated.
  • Workgroup PDM VaultAdmin Administration
    After Workgroup PDM is installed, vault administrators should perform these tasks.


Workgroup PDM Viewer

The Workgroup PDM software automatically sets up a virtual directory during installation using Microsoft Internet Information Services (IIS).

You must install Microsoft Internet Information Services (IIS) before installing the Viewer.
Required components include:
  • Web Management Tools
    • IIS Management Console
  • World Wide Web Services: Application Development Features
    • .NET Extensibility
    • ASP.NET
    • CGI
    • ISAPI Extensions
    • ISAPI Filters
See Microsoft documentation for IIS installation instructions.
The Workgroup PDM Viewer installation is subject to these restrictions:
  • The Web Site Content Directory is the Viewer installation folder.
  • You cannot use underscore characters in the name of the machine that hosts the Viewer.
  • If you install the Viewer on Windows XP Service Pack 2, you must enable a port in the Windows Firewall for HTTP (port 80).
  • The Viewer can point to only a single vault at any time.

Users access the Workgroup PDM Viewer by typing this URL into the address field of Internet Explorer:

http://ViewerComputerName/pdmweb/

Parent topic: Workgroup PDM


Installing a Workgroup PDM Server

Installing the Workgroup PDM Server creates a Workgroup PDM vault, which is the database that stores the managed SolidWorks projects.

  1. Start SolidWorks Installation Manager (as described under Initiating SolidWorks Installation).
  2. On the Welcome screen, select the following:

    • Server products
    • Install SolidWorks Workgroup PDM Server (vault) on this computer.

  3. On the Summary screen, click Change to acquire a validation code. You can acquire the code using one of the following methods:
    • Internet connection
      1. Enter the SolidWorks serial number and an email address in the fields provided.
      2. Select Validate automatically and click Get Code.
    • Email
      1. If your computer does not have access to an Internet connection, click Validate manually by email. The Installation Manager generates a Validation Request file.
      2. Click Save to store the file locally on the system.
      3. Follow the instructions on the screen and enter the validation code.
  4. Click Back to Summary.
  5. On the Summary screen, click Install Now.
Parent topic: Workgroup PDM


Configuring Workgroup PDM for Clients

After you have installed the Workgroup PDM server vault, you can then configure the vault for clients.

  1. Log in to the VaultAdmin (installed with SolidWorks Explorer) with the default user name and password.
  2. In the VaultAdmin, set up user and group accounts, project folders, permissions, and so on.

    For instructions, see Workgroup PDM Help.

  3. Email client users with the server computer name and their user names and passwords, which are usually not the same as their Microsoft Windows user names and passwords.
  • Configuring the Workgroup PDM Viewer to Connect to a Different Vault Location
    You can configure Workgroup PDM Viewer to connect to a different Vault location using the Windows Registry.
  • Configuring Mime Types for Document Downloading
    You can configure mime types for document downloading using Windows Registry settings.
Parent topic: Workgroup PDM


Configuring the Workgroup PDM Viewer to Connect to a Different Vault Location

You can configure Workgroup PDM Viewer to connect to a different Vault location using the Windows Registry.

  1. Update the registry path by changing the Vault Computer value:

    HKEY_LOCAL_MACHINE\SOFTWARE\SolidWorks\SolidWorks 2009\PDMWorks Workgroup\Vault Computer

  2. Reinstall the Workgroup PDM Viewer. In the Vault Computer Name dialog box, type the new computer name.
Parent topic: Configuring Workgroup PDM for Clients


Configuring Mime Types for Document Downloading

You can configure mime types for document downloading using Windows Registry settings.

By default, the Viewer sends Open Document requests with the generic mime type "application/octet-stream." Microsoft Internet Explorer then opens the requested document with the supplied file extension. You can map additional mime types or turn off mime type mappings by modifying the Mime Types registry sub-key in Windows Registry.

  • To map additional mime types, create additional string values under this registry sub-key:

    HKEY_LOCAL_MACHINE\SOFTWARE\SolidWorks\SolidWorks 2009\PDMWorks Workgroup\WebPortal\Mime Types

    in the form:

    "ext" = "mime type"

    For example:

    "dxf" = "image/vnd.dxf"

    You must manually create this registry sub-key before you add the values.

    To turn off mime type mappings, change the Use Custom MIME Types registry value to 0 (zero).

    HKEY_LOCAL_MACHINE\SOFTWARE\SolidWorks\SolidWorks 2009\PDMWorks Workgroup\WebPortal\Use Custom MIME Types

    Restarting the web server is not required to activate this setting.

Parent topic: Configuring Workgroup PDM for Clients


Installing Workgroup PDM Server and Viewer in a Perimeter Network

Installing a SolidWorks Workgroup PDM Web server and Workgroup PDM Viewer in a perimeter network (DMZ) has firewall implications.

Because Workgroup PDM Viewer clients communicate with the Web server over the HTTP or HTTPS ports, these ports must be open on the Internet Information Server (IIS) system where the Web server is installed.

  • For the HTTP protocol, the default port is 80.
  • For the HTTPS protocol (SSL), the default port is 443.

The Web Viewer clients themselves do not need firewall exceptions.

You must ensure that the Web server system can reach the Vault server over these default ports:

  • 30000 (Data)
  • 40000 (Request)
  • Network Configuration for Workgroup PDM Viewer in a Perimeter Network
    The network configuration shows a perimeter network server set up on a perimeter subnet and its communication to the internal and external networks.
  • Installing and Configuring the Workgroup PDM Web Server and Viewer
    When you set up a Workgroup PDM Web server in a perimeter network, the installation location of the components is important.
Parent topic: Workgroup PDM


Network Configuration for Workgroup PDM Viewer in a Perimeter Network

The network configuration shows a perimeter network server set up on a perimeter subnet and its communication to the internal and external networks.

The perimeter network server communicates to the LAN through an internal firewall. It communicates to the external network through an external firewall, a router, and a cluster of load balancers.

The Internet Explorer client connects to the Workgroup PDM Viewer/IIS server by way of port 80 (or 443 if configured to use SSL). The Workgroup PDM Viewer then connects to the Vault server using ports 30000 or 40000. The Vault server sends the requested information back to the Workgroup PDM Viewer, which then feeds the information back to the Internet Explorer client.

The perimeter network Web server has two IP addresses:

  • The internal IP address on the LAN
  • The public IP address provided by the ISP

The Web server in the perimeter network is located behind a cluster of load balancers. Although you can get directly to the Web server for administrative tasks, all Web services traffic to the servers in the perimeter network is processed through the load balancers.

The load balancers translate the server hardware IP address to a virtual IP (VIP) on the network leg that is exposed to the public. If you browse to either the VIP or the Web server URL while attached to the network, you can see the site.

The external firewall translates the load balancer VIP to a public, route-able address.

Parent topic: Installing Workgroup PDM Server and Viewer in a Perimeter Network


Installing and Configuring the Workgroup PDM Web Server and Viewer

When you set up a Workgroup PDM Web server in a perimeter network, the installation location of the components is important.
  • Install the IIS-enabled Web server on the perimeter subnet.
  • Install the IIS-enabled Workgroup PDM Viewer on the perimeter subnet.
  • Install the Workgroup PDM Vault on the primary domain or internal network on the local intranet.

The prerequisites for installing and configuring Workgroup PDM Viewer in a perimeter network are:

  • Microsoft IIS 6.0 or later
  • A public IP address to the Web server on the perimeter subnet, assigned by your ISP provider

To install and configure the Workgroup PDM components:

  1. Install Microsoft IIS on the perimeter subnet server system.
  2. Perform two SolidWorks Workgroup PDM Server installations:
    1. First, install the Vault component on the Vault server.
    2. Run the installer a second time and install the Workgroup PDM Viewer and Viewer license components on the IIS Web server. Enter the vault server computer name so that the Web portal knows where to look for the Vault server service.

    When you perform the installation, the PDMWeb application is added automatically to the default IIS Web site.

  3. Ensure that the firewall to the internal network has ports 30000 and 40000 open.
  4. If the internal server has a fixed IP address, on the perimeter server system, edit the C:\Windows\system32\drivers\etc\hosts file. Create a system name to IP address mapping so that the perimeter server can communicate with the internal server:
    1. Open the hosts file in a text editor such as Notepad.
    2. Add a new line for the Vault server IP address and name.
    3. Save the hosts file.
Parent topic: Installing Workgroup PDM Server and Viewer in a Perimeter Network


Workgroup PDM Client Access

Workgroup PDM clients use Microsoft Windows login access control, have Web access through the Workgroup PDM Viewer, and are updated automatically whenever the Workgroup PDM Vault has been updated.

To log in as a Workgroup PDM client: | Client user names and passwords are not the same in Workgroup PDM as for Microsoft Windows login. Contact your system administrator for login information.
To connect to the Workgroup PDM Viewer: | Contact your system administrator for the URL to connect to the Viewer.
To update the Workgroup PDM clients: | The Workgroup PDM clients (SolidWorks add-in and Contributor) detect when the Vault has been updated. You do not need to download a service pack to update clients.
Parent topic: Workgroup PDM


Workgroup PDM VaultAdmin Administration

After Workgroup PDM is installed, vault administrators should perform these tasks.

  • Log in to the VaultAdmin.
  • Change the vault administrator password.
  • Create user accounts.
  • Notify users of their account names and passwords.

For details, see SolidWorks Workgroup PDM in the main SolidWorks help.

  • Initial Login to Workgroup PDM VaultAdmin
    When you first login to Workgroup PDM VaultAdmin, specify the Workgroup PDM administrator name and password, and the name of the computer hosting the Workgroup PDM Vault.
  • Upgrading the Workgroup PDM Vault Server
    You can upgrade the Workgroup PDM Vault Server using SolidWorks Check for Updates, a SolidWorks installation DVD, or a Workgroup PDM upgrade file manually downloaded to a local folder.
  • Upgrading Workgroup PDM Clients
    Clients are prompted to update the first time they log in after the vault is updated. No service pack is required for client updates.
Parent topic: Workgroup PDM


Initial Login to Workgroup PDM VaultAdmin

When you first login to Workgroup PDM VaultAdmin, specify the Workgroup PDM administrator name and password, and the name of the computer hosting the Workgroup PDM Vault.

  1. In Windows, click Start > All Programs > SolidWorks version > Workgroup PDM VaultAdmin.
  2. In the dialog box, enter this information:

    Name | pdmwadmin
    Password | pdmwadmin
    Vault computer | The host name of the computer where the vault is installed. If you run the VaultAdmin on the computer where the vault is installed, type localhost.

  3. Click Login.
For security reasons, we recommend that you change the password for the administrator as soon as possible. Select the Users and Groups tab in the VaultAdmin.
Parent topic: Workgroup PDM VaultAdmin Administration


Upgrading the Workgroup PDM Vault Server

You can upgrade the Workgroup PDM Vault Server using SolidWorks Check for Updates, a SolidWorks installation DVD, or a Workgroup PDM upgrade file manually downloaded to a local folder.

You can install only one version of Workgroup PDM Vault Server
  1. Ask all users to log out of the Workgroup PDM vault and then lock it.
  2. Backup the vault data.
  3. Use Microsoft Windows Control Panel Add/Remove Programs to remove the current version of Workgroup PDM Server.
  4. Install the new version of Workgroup PDM Server.
    • To use SolidWorks Check for Updates:
      1. In Windows, click Start > All Programs > SolidWorks Installation Manager > Check for Updates.
      2. In the Newer Versions Available dialog box, select Download and install a new version, select the version to install, and then click Next.

        The new version of SolidWorks Installation Manager downloads and runs.

    • To use a SolidWorks installation DVD, insert the DVD into the drive and follow the SolidWorks Installation Manager instructions.
    • To use the manually downloaded Workgroup PDM installation file (pdmwserver.exe), double-click the file and then follow the instructions to upgrade the Workgroup PDM Server.
  5. Use SolidWorks Task Scheduler to update the Workgroup PDM files in the vault.
  6. Unlock the vault and then notify users that they can return to using it.
Parent topic: Workgroup PDM VaultAdmin Administration


License Administration

After installation, you can activate SolidWorks licenses either by activating individual computers (license activation) or by installing and activating floating network licenses on a server (SolidNetWork Licensing).

Typically, installations on individual computers use license activation; however, you can install the software individually and then control the licenses with SolidNetWork License Manager. Conversely, although larger sites typically use floating network licenses, you can deploy the installations from an administrative image and then activate the serial numbers from the individual computers.

  • Administering Individual Licenses
    Typically, administration of individual licenses consists of activating and transferring licenses directly from SolidWorks.
  • Administering Licenses Using a SolidNetWork License Manager
    SolidNetWork License Manager supports multiple license clients by distributing licenses to clients on the network. This allows the number of users to exceed the number of licenses by using floating licenses.


Administering Individual Licenses

Typically, administration of individual licenses consists of activating and transferring licenses directly from SolidWorks.

Activation is a product licensing and registration process for SolidWorks standalone (non-SolidNetWork License) licenses. Typically, if your product license has not yet been activated, SolidWorks tries to activate it when you start the product.

You can also transfer individual licenses, by clicking Help > Transfer Licenses in SolidWorks.

  • Activating a License
    Before you can run SolidWorks products on an individual computer, you must activate the license for that computer.
  • Transferring a License
    To transfer a license to a new or upgraded computer, first transfer it to the license key server at Dassault Systèmes SolidWorks Corporation, then reactivate it on the other computer.
Parent topic: License Administration


Activating a License

Before you can run SolidWorks products on an individual computer, you must activate the license for that computer.

Activation requires that you have Internet or email access. After activation, you do not need to be online to use the products. If you do not have email access on the computer where you use this product, you can save the activation file and send it from another computer.

This process:
  • Activates all software licenses across the SolidWorks product line.
  • Allows you to transfer licensing rights from one computer to another.
  • Enables you to install and activate the SolidWorks products on one work computer and one home computer.
  • Can be performed immediately (recommended) or within 30 days of installation.
  • Eliminates the need for dongles. However, if you run previous versions of SolidWorks products that do not use activation, you need to retain the dongle.

For system administrators who have multiple serial numbers to manage, you can use the Administrative Image Option Editor. For details, see Administrative Image Option Editor.

To activate a license:

  1. Start the SolidWorks application.
  2. Start SolidWorks Product Activation using one of these methods:
    • If you have not yet activated the license for this computer, the SolidWorks Product Activation window appears automatically when you start SolidWorks.
    • If the SolidWorks Product Activation window does not appear automatically, start activation by clicking Help > Activate Licenses.
  3. Click the Product listing to specify the product whose license you want to activate.
  4. Specify automatic activation over the internet or manual activation using email.
  5. Supply email contact information.
  6. Click Next to proceed.
    • Internet: Activation occurs automatically.
    • Email: Press Save to create a request file, then email the file to activation@solidworks.com. When you receive the email containing the response file, extract the file from email and then click Open to load it.
      If necessary, you can exit and rerun the activation procedure to open the response file.
  7. Click Finish.
Parent topic: Administering Individual Licenses


Transferring a License

To transfer a license to a new or upgraded computer, first transfer it to the license key server at Dassault Systèmes SolidWorks Corporation, then reactivate it on the other computer.

If you were unable to transfer the license to Dassault Systèmes SolidWorks Corporation (because of hard drive failure, for example), reactivation is still successful in most cases. If not, contact your VAR for help.

To transfer a license back to the server:

  1. In SolidWorks, click Help > Transfer Licenses, and follow the instructions.
  2. To reactivate, go to the new or upgraded computer and activate the license as you did during the initial activation. For details, see Activating a License.
Parent topic: Administering Individual Licenses


Administering Licenses Using a SolidNetWork License Manager

SolidNetWork License Manager supports multiple license clients by distributing licenses to clients on the network. This allows the number of users to exceed the number of licenses by using floating licenses.

This image depicts a typical SolidNetWork licensing installation:

This image illustrates:
  • SolidNetWork License Manager software is installed and activated on the license manager computer only.
  • License client computers do not have any additional SolidNetWork-specific software installed.

    If you specify a SolidNetWork License serial number when installing, SolidWorks Installation Manager identifies that computer as a SolidNetWork license client. SolidWorks Installation Manager prompts you for the SolidNetWork license manager computer name and port number to connect the client to the license manager.

  • The license manager and all license clients must have TCP/IP (Transmission Control Protocol/Internet Protocol) connectivity.
  • Activating a SolidNetWork License
    Before users can run SolidWorks products on their individual computers, you must activate a SolidNetWork license on the SolidNetWork License Manager computer.
  • Transferring a SolidNetWork License
    To transfer a SolidNetWork license to a new or upgraded computer, first transfer the license to the license key server at Dassault Systèmes SolidWorks Corporation, then reactivate it on the other computer.
  • Installing and Configuring SolidNetWork Licensing
    Configuring SolidNetWork Licensing consists of installing the SolidNetWork License Manager on the license manager computer and then installing SolidWorks on client computers using the SolidNetWork license serial number.
  • SolidNetWork License Administration
    Tasks include starting, upgrading, and uninstalling the license manager, and retrieving, borrowing and returning licenses.
Parent topic: License Administration


Activating a SolidNetWork License

Before users can run SolidWorks products on their individual computers, you must activate a SolidNetWork license on the SolidNetWork License Manager computer.

Activation requires that you have Internet or email access. After activation, you do not need to be online to use the products. If you do not have email access on the computer where you use this product, you can save the activation file and send it from another computer.

This process:
  • Activates the SolidWorks SolidNetWork License Manager with SolidNetWork licenses across SolidWorks products.
  • Allows you to transfer SolidNetWork licensing rights from one SolidNetWork License Manager computer to another.
  • Enables you to install and activate the SolidNetWork licensing rights on one SolidNetWork License Manager computer.
  • Must be performed before you can use SolidNetWork licenses.
  • Eliminates the need for dongles. If you activate a SolidNetWork license for this version of SolidWorks, SolidNetWork licenses for previous versions of SolidWorks are activated. (You no longer need to retain the dongle.)

To activate a SolidNetWork license:

  1. Start the SolidNetWork License Manager (Start > Programs > SolidWorks version > SolidNetWork License Manager > SolidNetWork License Manager.
  2. If you have not yet activated the SolidNetWork license, you are asked whether you want to activate it now. Click Yes to activate.
  3. Under How would you like to activate?, select Automatically over the internet (recommended).
  4. Under Contact Information, specify an email contact address.
The Activation/Reactivation Succeeded dialog box displays the products that have been activated.
Parent topic: Administering Licenses Using a SolidNetWork License Manager


Transferring a SolidNetWork License

To transfer a SolidNetWork license to a new or upgraded computer, first transfer the license to the license key server at Dassault Systèmes SolidWorks Corporation, then reactivate it on the other computer.

If you were unable to transfer the license to Dassault Systèmes SolidWorks Corporation (because of hard drive failure, for example), reactivation is still successful in most cases. If not, contact your VAR for help.

To transfer a SolidNetWork license back to the server:

  1. Start SolidNetWork License Manager (Start > Programs > SolidWorks version > SolidNetWork License Manager > SolidNetWork License Manager).

  2. Under License Information, click Modify. The SolidWorks Product Activation wizard starts.
  3. Under What would you like to do?, select Transfer a software license and then click Next.
  4. Under How would you like to transfer?, select Automatically over the internet (recommended).
  5. Under Contact Information, specify an email contact address.
  6. Click Next. The product license transfer completes.
Parent topic: Administering Licenses Using a SolidNetWork License Manager


Installing and Configuring SolidNetWork Licensing

Configuring SolidNetWork Licensing consists of installing the SolidNetWork License Manager on the license manager computer and then installing SolidWorks on client computers using the SolidNetWork license serial number.

  • Installing and Activating a License Manager
    The SolidNetWork License Manager supports multiple license clients. It distributes licenses to clients on the network.
  • Installing a License Client
    When installing SolidWorks on SolidNetWork License Client computers, the serial number identifies that computer as a SolidNetWork License Client.
  • Install SolidNetWork License Managers Before Installing License Clients
    You should install and configure SolidNetWork License Manager on at least one computer prior to installing any SolidNetWork license client computers.
  • Triad License Manager Installation
    Triad license managers use three computers for extra stability. If the computer managing the license file is not available, one of the other two computers takes over.
  • Using SolidNetWork Licenses with Firewalls
    If your computer uses a firewall, you must configure ports to support SolidNetWork Licensing.
Parent topic: Administering Licenses Using a SolidNetWork License Manager


Installing and Activating a License Manager

The SolidNetWork License Manager supports multiple license clients. It distributes licenses to clients on the network.

If you are upgrading from a previous version of SolidNetWork License Manager that used hardware dongles for license activation, remove the hardware dongle before installing the new version of SolidNetWork License Manager.

  1. Start SolidWorks Installation Manager (as described under Initiating SolidWorks Installation).
    1. For type of installation, select the following:

      • Server products
      • Install SolidNetWork License Manager (distributed licensing) on this computer.

    2. On the SolidNetWork License Manager Options page, specify the SolidNetWork License serial number and SolidNetWork License Manager installation location.
    3. On the Summary page, click Install Now to complete the SolidWorks Installation Manager process.
  2. To activate SolidNetWork licensing:
    1. Start SolidNetWork License Manager (Start > Programs > SolidWorks version > SolidNetWork License Manager > SolidNetWork License Manager).
    2. When prompted to activate, click Yes.
    3. On the SolidNetWork License Server Information screen:

      • If your company uses a firewall, select A firewall is in use on this server.

        For more information, see Using SolidNetWork Licenses with Firewalls.

      • Use the default value for Port Number (and for Vendor Daemon Port Number if you have a firewall) or specify the port numbers your company uses.
        The port number is a TCP/IP port number in the 1024-60000 range, used exclusively by this process. Normally, the default (25734) is suitable and is unlikely to be the same as any other FLEXnet server process currently on the license manager computer.

    4. On the Activate Your SolidWorks Product screen:

      • Select the Internet or email procedure.
      • Supply email contact information.
      • Click Next to proceed.
        • Internet: Activation occurs automatically.
        • Email: Press Save to create a request file, then send the file to activation@solidworks.com. When you receive the email containing the response file, extract the file from email and then click Open to load it.
          If necessary, you can exit and rerun the activation procedure to open the response file.

  3. Click Finish.
Parent topic: Installing and Configuring SolidNetWork Licensing


Installing a License Client

When installing SolidWorks on SolidNetWork License Client computers, the serial number identifies that computer as a SolidNetWork License Client.

  1. Start SolidWorks Installation Manager (as described under Initiating SolidWorks Installation).
  2. On the Welcome screen click Individual (on this computer) if this is the first SolidWorks installation on this computer for this major release.

    If you are upgrading from an existing release, and are changing from individual licensing to SolidNetWork licensing, click Modify the individual installation (on this computer). For details, see Upgrading from Individual Licensing to SolidNetWork Licensing.

  3. When prompted for a serial number, enter the SolidNetWork License serial number.
  4. In the Add Server dialog box, type the SolidNetWork License Manager's address in the form:

    port@ComputerName

    The port number must be the same one used for the license manager computer. The default is 25734 (as described in Installing and Activating a License Manager).

    SolidWorks Installation Manager will attempt to validate that this SolidNetWork License Manager is accessible. If you have not yet installed a license manager, this validation will fail; however, you still can proceed with the license client installation.

  5. Complete the SolidWorks installation by following the SolidWorks Installation Manager instructions.
Parent topic: Installing and Configuring SolidNetWork Licensing


Install SolidNetWork License Managers Before Installing License Clients

You should install and configure SolidNetWork License Manager on at least one computer prior to installing any SolidNetWork license client computers.

When installing with a SolidNetWork License serial number, SolidWorks Installation Manager prompts you to enter the SolidNetWork License Manager computer name and port number, and then attempts to validate that information.

If you have not yet installed SolidNetWork License Manager on the computer you specified, this validation cannot succeed. However, in this case validation failure does not indicate whether you have supplied correct license manager information. If the license manager is installed, validation failures indicate that you have specified incorrect license manager information.

Parent topic: Installing and Configuring SolidNetWork Licensing


Triad License Manager Installation

Triad license managers use three computers for extra stability. If the computer managing the license file is not available, one of the other two computers takes over.

Requirements for using triad license managers:
  • Three hardware dongles are required.
  • Install triad license managers only on stable computers not scheduled for frequent shutdowns.
  • The three license manager computers should be on the same subnet. Never configure triad license managers with slow communications or dial-up links.
  • The system administrator should detect when a license manager computer goes down and should restart it as soon as possible.
    If only two license manager computers are running, the situation is worse than a single license manager computer, because there are two points of failure.
  • Installing the Initial Triad License Manager
    Triad license managers use three computers for extra stability. This process shows how to install SolidNetWork License Manager on the first computer in the triad.
  • Installing the Triad License Manager on Subsequent Computers
    Triad license managers use three computers for extra stability. This process shows how to install SolidNetWork License Manager on the second and third computers in the triad.
Parent topic: Installing and Configuring SolidNetWork Licensing


Installing the Initial Triad License Manager

Triad license managers use three computers for extra stability. This process shows how to install SolidNetWork License Manager on the first computer in the triad.

  1. On the first triad license manager computer, install the SolidNetWork License Manager using SolidWorks Installation Manager:
    1. Start SolidWorks Installation Manager (as described under Initiating SolidWorks Installation).
    2. For type of installation, select the following:

      • Server products
      • Install SolidNetWork License Manager (distributed licensing) on this computer.

    3. On the SolidNetWork License Manager Options page, specify the SolidNetWork License serial number and SolidNetWork License Manager installation location.
    4. On the Summary page, click Install Now to complete the SolidWorks Installation Manager process.
  2. Using the SolidNetWork License Manager, configure the initial triad license manager computer:
    1. Start SolidNetWork License Manager (Start > Programs > SolidWorks version > SolidNetWork License Manager > SolidNetWork License Manager).
    2. Click No.

      The Server Administration tab of the SolidWorks SolidNetwork License Manager appears.

    3. Under Advanced Options, click Options.

      The Advanced Options dialog box appears.

    4. Under SolidNetWork Server License Mode, click Use a License File and click OK.

      The Advanced Options dialog box closes.

    5. Under License Information, click Modify.

      The SolidNetWork License File Wizard appears.

    6. Under Server Type, select Triad and click Next.
    7. On the Server Information pane, verify that the computer name, dongle ID, and port number for the initial triad license manager computer are correct, and click Next.

      If your computer uses a firewall, you might have to make some additional specifications on this screen. For more information, see Using SolidNetWork Licenses with Firewalls.

    8. On the Triad Partner Server Information screen, enter the computer name and dongle ID values for the other two triad license manager computers.

      This ensures that if one license manager is unavailable, client computers can get a license from the other two servers.

    9. On the Licenses screen, click Read to browse to and open the SolidNetWork license file.

      The licenses appear in the SolidNetWork License File wizard.

    10. Click Finish.
    11. Click OK to exit the SolidNetWork License File wizard and then Finish to exit the SolidNetWork License Manager.
Parent topic: Triad License Manager Installation


Installing the Triad License Manager on Subsequent Computers

Triad license managers use three computers for extra stability. This process shows how to install SolidNetWork License Manager on the second and third computers in the triad.

It is assumed that you already have installed at least one triad license manager on another computer. For details, see Installing the Initial Triad License Manager.

  1. On the triad license manager computer, install the SolidNetWork License Manager using SolidWorks Installation Manager:
    1. Start SolidWorks Installation Manager (as described under Initiating SolidWorks Installation).
    2. For type of installation, select the following:

      • Server products
      • Install SolidNetWork License Manager (distributed licensing) on this computer.

    3. On the SolidNetWork License Manager Options page, specify the SolidNetWork License serial number and SolidNetWork License Manager installation location.
    4. On the Summary page, click Install Now to complete the SolidWorks Installation Manager process.
  2. Using the SolidNetWork License Manager, configure the triad license manager computer:
    1. Start SolidNetWork License Manager (Start > Programs > SolidWorks version > SolidNetWork License Manager > SolidNetWork License Manager.

      Since this is the first time you are running the SolidNetWork License Manager on this computer, you are asked whether you would like to activate now.

    2. Click No.

      The Server Administration tab of the SolidWorks SolidNetwork License Manager appears.

    3. Under Advanced Options, click Options.

      The Advanced Options dialog box appears.

    4. Under SolidNetWork Server License Mode, click Use a License File and click OK.

      The Advanced Options dialog box closes.

    5. Under License Information, click Modify.

      The SolidNetWork License File Wizard appears.

    6. Under Server Type, select Triad and Synchronize server/license information and then click Next.
    7. On the Server Information pane, verify that the computer name, dongle ID, and port number for this triad license manager computer are correct, and click Next.

      If your computer uses a firewall, you might have to make some additional specifications on this screen. For more information, see Using SolidNetWork Licenses with Firewalls.

    8. On the Triad Partner Server Information screen, enter the computer name and dongle ID values for the other two triad license manager computers.

      This ensures that if one license manager is unavailable, client computers can get a license from the other two servers.

    9. On the Licenses screen, click Read to browse to and open the SolidNetWork license file.

      Typically, the licenses file is located on \licenses\sw_d.lic on the first triad license manager computer you configured.

      The licenses appear in the SolidNetWork License File wizard.

    10. Click Finish.

      A SolidNetWork License File Wizard warning appears.

    11. Click OK to exit the SolidNetWork License File wizard and then Finish to exit the SolidNetWork License Manager.

If you are configuring the second triad license manager computer, repeat this process for the third triad license manager computer.

Parent topic: Triad License Manager Installation


Using SolidNetWork Licenses with Firewalls

If your computer uses a firewall, you must configure ports to support SolidNetWork Licensing.

In the firewall software, you must add two SolidNetWork License ports (for example, SNL-in-port and SNL-out-port) to the firewall exceptions list. For details about configuring these ports, consult with your system administrator.

If you are using Windows Firewall on Windows XP SP2 and Windows Server 2003 SP1, you must modify ports on the SolidNetWork license manager computer and modify the SolidNetWork license file to distribute licenses to the license client computers.

  • Modifying License Manager Computer Ports for Windows Firewall
    If you are using Windows Firewall, you must modify firewall port settings on the SolidNetWork license manager computer.
  • Modifying SolidNetWork License Manager Settings for Windows Firewall
    If you are using Windows Firewall, you must modify the SolidNetWork license file to use the firewall ports to distribute licenses to the license client computers.
Parent topic: Installing and Configuring SolidNetWork Licensing


Modifying License Manager Computer Ports for Windows Firewall

If you are using Windows Firewall, you must modify firewall port settings on the SolidNetWork license manager computer.

  1. In Windows, open the Control Panel and then double-click Security Center.
  2. Click Windows Firewall.
  3. On the Exceptions tab, click Add Port.
  4. Type a Name (for example, SNL-in-port) and a Port Number (for example, 25734) and then click OK.
  5. For the second port, click Add Port on the Exceptions tab again, specify the other port's name and number (for example, SNL-out-port and 25735), and then click OK. Note the port number, as you will reference it later when modifying the SolidNetWork license file.

    If you use Workgroup PDM, you must modify Workgroup PDM port numbers in Windows Firewall. Typically, these ports are 20000 (VaultAdmin), 30000 (Data), 40000 (Request), and 80 (Viewer).

  6. Close Windows Security Center and Control Panel.
Parent topic: Using SolidNetWork Licenses with Firewalls


Modifying SolidNetWork License Manager Settings for Windows Firewall

If you are using Windows Firewall, you must modify the SolidNetWork license file to use the firewall ports to distribute licenses to the license client computers.

  1. Start SolidNetWork License Manager (Start > Programs > SolidWorks version > SolidNetWork License Manager > SolidNetWork License Manager).
  2. On the Server Administration tab, under License Server, click Stop. (Click Yes when prompted for confirmation and OK to complete stopping the license server.)
  3. Under License Information, click Modify.
  4. Under Server Type, select the server arrangement for your network (Single or Triad) and then click Next.
  5. Under Server Information:
    1. Select A firewall is in use on this server.
    2. Port Number and Vendor Daemon Port Number should contain the port numbers specified for the Windows Firewall (for details, see Modifying License Manager Computer Ports for Windows Firewall).
    3. Click Next and then click Finish.
  6. On the Server Administration tab, under License Server, click Start.
  7. Click OK to close the SolidNetWork License Manager.
Parent topic: Using SolidNetWork Licenses with Firewalls


SolidNetWork License Administration

Tasks include starting, upgrading, and uninstalling the license manager, and retrieving, borrowing and returning licenses.

  • Starting the SolidNetWork License Manager
    You can start the SolidNetWork License Manager from the Windows Start menu.
  • Upgrading the SolidNetWork License Manager
    For major releases of SolidWorks, upgrading the license manager consists of uninstalling the old license manager, installing a new one, and re-activating the SolidNetWork license.
  • Deleting SolidNetWork License Files
    Delete old and expired SolidNetWork license files before upgrading to new ones.
  • Retrieving Client Licenses
    To terminate a client SolidNetWork connection, a system administrator can stop the license and return it to the free license pool.
  • Borrowing and Returning SolidNetWork Licenses
    You can borrow a SolidNetWork license to use the software from a remote location. Since the license is removed from the pool of available licenses, a borrowed license must be returned for it to become available again.
  • Monitoring License Idle Time
    SolidWorks can register idle time with the SolidNetWork License Manager so that licenses that have not been used for a certain amount of time are returned to the free license pool.
  • Installing Temporary Licenses
    The temporary "ANY" license can be used temporarily when the original SolidNetWork license is not available.
  • Upgrading from Individual Licensing to SolidNetWork Licensing
    You can upgrade a computer from individual SolidWorks licensing to SolidNetWork licensing by specifying the SolidNetWork license serial number in SolidWorks Installation Manager.
  • Using SolidNetWork Licenses with Add-in Products
    You can use the SolidNetWork License Manager to distribute licenses for SolidWorks core add-in products (such as FeatureWorks, Workgroup PDM Server, and so on).
  • Using the Same Computer for the License Manager and Administrative Image Installations
    You can configure one computer on a network to act both as a license manager distributing SolidNetWork licensing and as an administrative image location from which users can install SolidWorks software.
  • FLEXnet Publisher License Management
    SolidNetWork Licensing is based on FLEXnet Publisher® license management.
Parent topic: Administering Licenses Using a SolidNetWork License Manager


Starting the SolidNetWork License Manager

You can start the SolidNetWork License Manager from the Windows Start menu.

  • In Windows, run this command: Start > Programs > SolidWorks version > SolidNetWork License Manager > SolidNetWork License Manager.
Parent topic: SolidNetWork License Administration


Upgrading the SolidNetWork License Manager

For major releases of SolidWorks, upgrading the license manager consists of uninstalling the old license manager, installing a new one, and re-activating the SolidNetWork license.

The license manager for a newer release can distribute licenses for client computers remaining at the previous release as well.

  1. Start SolidNetWork License Manager (Start > Programs > SolidWorks version > SolidNetWork License Manager > SolidNetWork License Manager).
  2. On the License Usage tab, verify that no client computers on the network are running SolidWorks.
  3. Uninstall the old license manager. For details, see Uninstalling the SolidNetWork License Manager.
  4. Install the new license manager and re-activate the SolidNetWork license on the license manager computer. For details, see Installing and Activating a License Manager.

If you are upgrading the SolidNetWork License Manager on a computer that also runs the SolidWorks application, upgrade SolidNetWork license managers and clients before installing any new SolidWorks application service packs on that computer.

If you are upgrading the license manager on a computer that hosts administrative images, upgrade the license manager before upgrading the administrative images. For details, see Using the Same Computer for the License Manager and Administrative Image Installations.

  • Uninstalling the SolidNetWork License Manager
    When upgrading the SolidNetWork License Manager, you must uninstall the old license manager before installing the new one.
Parent topic: SolidNetWork License Administration


Uninstalling the SolidNetWork License Manager

When upgrading the SolidNetWork License Manager, you must uninstall the old license manager before installing the new one.

  1. Start SolidNetwork License Manager (Start > Programs > SolidWorks version > SolidNetWork License Manager > SolidNetWork License Manager).
  2. Verify that no client computers on the network are running SolidWorks.

    The License Usage tab shows clients running SolidWorks.

  3. If you wish to transfer the SolidNetWork license to another computer, transfer the license to that computer before removing the SolidNetWork License Manager from this computer.

    For information about transferring SolidNetWork licenses, see Transferring a SolidNetWork License.

  4. On the Server Administration tab, under License Server, click Stop.
  5. Click OK to exit the license manager.
  6. In Windows, open Control Panel > Add or Remove Programs.
  7. Select SolidWorks SolidNetWork License Manager, click Remove, and confirm the deletion.
  8. In Windows Explorer, delete the SolidWorks SolidNetWork License Manager folder.

    (Typically, this folder is located under Program Files in the SolidWorks installation directory.)

You now are ready to install a new version of the license manager. For details, see Installing and Activating a License Manager.

If the SolidNetWork License Manager computer has a hardware dongle attached, remove the hardware dongle before installing the new version of SolidNetWork License Manager.
Parent topic: Upgrading the SolidNetWork License Manager


Deleting SolidNetWork License Files

Delete old and expired SolidNetWork license files before upgrading to new ones.

  1. Start SolidNetWork License Manager (Start > Programs > SolidWorks version > SolidNetWork License Manager > SolidNetWork License Manager).
  2. On the Server Administration tab, under License File, click Modify, and then click Next until you reach the Licenses screen.
  3. On the Licenses screen, select the old or expired SolidNetWork license file, then click Remove.
  4. Click Finish and then click OK.
Parent topic: SolidNetWork License Administration


Retrieving Client Licenses

To terminate a client SolidNetWork connection, a system administrator can stop the license and return it to the free license pool.

  • The client must have been connected to the license manager for at least two minutes.
  • You can configure the SolidNetWork timeout feature to be the 15-minute minimum. After 15 minutes of idle time, that license is returned to the free license pool.

For details, see SolidNetWork_License_Manager_install_dir\Docs\flexuser\licensingenduserguide.pdf.

  1. Click Start > Run, type cmd, and then click OK to open a Windows command window.
  2. In the command window, enter:

    cd SolidNetWork_License_Manager_install_dir\utils
lmutil lmremove feature user computer display

    where feature, user, computer, and display are the terms shown on the License Usage tab of the SolidNetWork License Manager.

    For example:

    lmutil lmremove solidworks carlos designcmp1 corpserver

    You must terminate the license for each add-in product (PhotoView 360, FeatureWorks, etc.) separately.

Parent topic: SolidNetWork License Administration


Borrowing and Returning SolidNetWork Licenses

You can borrow a SolidNetWork license to use the software from a remote location. Since the license is removed from the pool of available licenses, a borrowed license must be returned for it to become available again.

Borrowed licenses are valid only for the system on which they were borrowed; they cannot be transferred.

The license is lent for a specified period of time, up to 30 days (or as defined by the system administrator), and the license is removed from the pool of available licenses.

System administrators can customize borrowing to:
  • Define users or groups that are allowed to borrow licenses
  • Set the number of licenses that cannot be borrowed

For details, see SolidNetWork_License_Manager_install_dir\Docs\flexuser\licensingenduserguide.pdf.

  • Borrowing SolidNetWork Licenses
    You can borrow a SolidNetWork license to use the software from a remote location.
  • Returning a Borrowed SolidNetWork License
    Since a borrowed SolidNetWork license is removed from the pool of available licenses, that borrowed license must be returned for it to become available again.
Parent topic: SolidNetWork License Administration


Borrowing SolidNetWork Licenses

You can borrow a SolidNetWork license to use the software from a remote location.

You must be connected to the SolidNetWork license manager to borrow the license, but not necessarily to use it.

  1. Start SolidNetWork License Manager (Start > Programs > SolidWorks version > SolidNetWork License Manager > SolidNetWork License Manager).
  2. On the License Borrowing tab:
    1. Select a date in Borrow until.
    2. Select the products to borrow, then click Borrow, and click Yes to confirm.
    3. Click Refresh. The Expire Date column indicates when licenses are due back.
  3. Click OK.
To run SolidWorks, you must borrow a SolidWorks license. SolidWorks Professional and SolidWorks Premium enable only the add-ins associated with the package, but not SolidWorks.
Parent topic: Borrowing and Returning SolidNetWork Licenses


Returning a Borrowed SolidNetWork License

Since a borrowed SolidNetWork license is removed from the pool of available licenses, that borrowed license must be returned for it to become available again.

  1. Start SolidNetWork License Manager (Start > Programs > SolidWorks version > SolidNetWork License Manager > SolidNetWork License Manager).
  2. On the License Borrowing tab:
    1. Select the products to return, click Return, and then click Yes to confirm.
    2. Click Refresh. The Expire Date column becomes blank, indicating that the licenses have been returned.
  3. Click OK.
It is not necessary to return licenses after the expiration date. The license is returned to the pool on the SolidNetWork license manager at midnight on the expiration date and the applications on the remote system no longer run.
Parent topic: Borrowing and Returning SolidNetWork Licenses


Monitoring License Idle Time

SolidWorks can register idle time with the SolidNetWork License Manager so that licenses that have not been used for a certain amount of time are returned to the free license pool.

  1. In the SolidNetwork License Manager installation directory, create a text file:

    SolidNetWork_License_Manager_install_dir\Licenses\sw_d.opt

  2. Add the following line to the file:

    TIMEOUTALL seconds

    where seconds is a number greater than or equal to 900 (15 minutes), which is the minimum time allowed.

Parent topic: SolidNetWork License Administration


Installing Temporary Licenses

The temporary "ANY" license can be used temporarily when the original SolidNetWork license is not available.

By installing the "ANY" license file, you agree to implement the traditional license upon receipt of a SolidNetWork license from Dassault Systèmes SolidWorks Corporation. Compliance with license restrictions still is required.

To install an "ANY" license:

  1. If you are an existing SolidNetWork user, uninstall the SolidNetWork License Manager and delete the installation folder. For details, see Uninstalling the SolidNetWork License Manager.
  2. Start SolidWorks Installation Manager (as described under Initiating SolidWorks Installation).
    1. For type of installation, select the following:

      • Server products
      • Install SolidNetWork License Manager (distributed licensing) on this computer.

    2. On the SolidNetWork License Manager Options page, specify the SolidNetWork License serial number and SolidNetWork License Manager installation location.
    3. On the Summary page, click Install Now to complete the SolidWorks Installation Manager process.
  3. Start SolidNetWork License Manager (Start > Programs > SolidWorks version > SolidNetWork License Manager > SolidNetWork License Manager).
  4. If you are prompted to activate, click No.

    The Server Administration tab of the SolidWorks SolidNetwork License Manager appears.

  5. Under Advanced Options, click Options.

    The Advanced Options dialog box appears.

  6. Under SolidNetWork Server License Mode, click Use a License File and click OK.

    The Advanced Options dialog box closes.

  7. Under License Information, click Modify.

    The SolidNetWork License File Wizard appears.

  8. Under Server Type, select Single and click Next.
  9. When you see this message:

    Could not read the dongle ID number.
    click Cancel.
    The ID "ANY" appears automatically.
    If your computer uses a firewall, you might have to make some additional specifications on this screen. For more information, see Using SolidNetWork Licenses with Firewalls.

  10. Continue with the installation.
Parent topic: SolidNetWork License Administration


Upgrading from Individual Licensing to SolidNetWork Licensing

You can upgrade a computer from individual SolidWorks licensing to SolidNetWork licensing by specifying the SolidNetWork license serial number in SolidWorks Installation Manager.

If a computer does not have SolidWorks installed, you can specify SolidNetWork licensing by entering the SolidNetWork serial number when installing with SolidWorks Installation Manager.

If a computer already has SolidWorks installed and you are switching from individual licensing to SolidNetWork Licensing, you can modify the installation for the client computer and specify the SolidNetWork License serial number in place of the individual license serial number when running SolidWorks Installation Manager. For details, see Modifying an Installation.

Parent topic: SolidNetWork License Administration


Using SolidNetWork Licenses with Add-in Products

You can use the SolidNetWork License Manager to distribute licenses for SolidWorks core add-in products (such as FeatureWorks, Workgroup PDM Server, and so on).

  • An equal number of SolidWorks software licenses and SolidWorks add-in licenses is not required.
  • To check out a license for an add-in product, you first must check out a license for SolidWorks.
  • To borrow an add-in product license, you must borrow both the SolidWorks software license and the SolidWorks product license that includes the add-in. For example, you might have to borrow either a SolidWorks Professional or SolidWorks Premium product license.
  • To release an add-in product license:
    • In SolidWorks, click Tools > Add-ins and clear the add-in.
    • Exit SolidWorks.
Parent topic: SolidNetWork License Administration


Using the Same Computer for the License Manager and Administrative Image Installations

You can configure one computer on a network to act both as a license manager distributing SolidNetWork licensing and as an administrative image location from which users can install SolidWorks software.

Client computers can obtain licenses from the license manager and then install SolidWorks from the same computer.

This configuration requires that the license manager and administrative image be installed on the same computer. Install the license manager first and then create and deploy the administrative image.
For details, see:
  • Installing and Activating a License Manager
  • Deploying to Multiple Clients
Parent topic: SolidNetWork License Administration


FLEXnet Publisher License Management

SolidNetWork Licensing is based on FLEXnet Publisher® license management.

For more information about FLEXnet Publisher license management, see the FLEXnet Publisher License Administration Guide in the SolidNetwork License Manager installation directory (SolidNetwork_License_Manager_install_dir\Docs\flexuser\licensingenduserguide.pdf).

For the latest information about FLEXnet Publisher license management, contact Acresso® Software.

Parent topic: SolidNetWork License Administration


Troubleshooting

Consult these topics to assist you in troubleshooting installation problems.

  • SolidWorks Installation Manager Log Files
    SolidWorks Installation Manager log files are available to assist you in troubleshooting installation problems.
  • SolidWorks Installation Manager Download Folder
    SolidWorks Installation Manager can download the installation files it needs to a folder that you specify. This topic provides answers to frequently asked questions about the download folder.
  • Troubleshooting SolidNetWork Licenses
    If the SolidNetWork License Manager installation fails, check for these possible explanations.
  • Troubleshooting Upgrades
    If you encounter problems while upgrading to a new SolidWorks release, check for these possible explanations.


SolidWorks Installation Manager Log Files

SolidWorks Installation Manager log files are available to assist you in troubleshooting installation problems.

These log files are located with the other SolidWorks application log files.
  • For Windows Vista or later:

    C:\Users\username\AppData\Roaming\SolidWorks\Installation Logs\installed_version

  • For Windows operating system versions prior to Vista:

    C:\Documents and Settings\username\Application Data\SolidWorks\Installation Logs\installed_version\

To see the log file directories, you might have to configure the Windows Folder options to Show hidden files and folders.

If the application data is located on a drive other than C:, adjust the directory path accordingly.

This directory contains the SummaryIMLog_nnnnn_nnnnn_nnnn_nnnnn.txt file, a general log of SolidWorks Installation Manager progress.

The Other Logs subdirectory contains more detailed installation log information.

Parent topic: Troubleshooting


SolidWorks Installation Manager Download Folder

SolidWorks Installation Manager can download the installation files it needs to a folder that you specify. This topic provides answers to frequently asked questions about the download folder.

  1. How do I install the files in this folder?
  2. Can I install MSI files manually from this folder using msiexec or some other application?
  3. Can I select the same download folder for each version I install?
  4. I downloaded some products manually from the Dassault Systèmes SolidWorks Corporation Web site. Can the Installation Manager install these?
  5. Can the files I download be shared by other users?
  6. How do I know when a new version of SolidWorks products becomes available?
  7. The Installation Manager shows only SW2006 or SW2007 installs, but not the current version.
  8. The Installation Manager does not let me select a different service pack of a product to install.
  9. The Installation Manager is prevented from downloading files.
  10. Not all of my SolidWorks products are updated to the latest service pack, but Check For Updates tells me I have the latest version?
  11. Can I copy a DVD to a download folder?

How do I install the files in this folder?

Run setup.exe. You may still be required to download some files if you select to install items that were not downloaded previously.

Do not install using msiexec (see below).

Back to Top

Can I install MSI files manually from this folder using msiexec or some other application?

No. The Installation Manager does not download some files that would be required when running msiexec.

Back to Top

Can I select the same download folder for each version I install?

Download folders are version-specific. Starting in SolidWorks 2010, SolidWorks Installation Manager automatically creates a version-specific sub-folder within the specified folder.

Back to Top

I downloaded some products manually from the Dassault Systèmes SolidWorks Corporation Web site. Can the Installation Manager install these?

Starting in SW2009, files downloaded manually can be used by SolidWorks Installation Manager. However, it is better to run SolidWorks Installation Manager, selecting the option to download files. SolidWorks Installation Manager shows which files you need based on what you are installing, providing links to download each file. This option can be used when the built-in download page does not work (most likely because of downloading restrictions enforced by a proxy server).
If Microsoft Internet Explorer asks whether you want to save or run files during a download or installation, always specify save.

Back to Top

Can the files I download be shared by other users?

Yes. To do so, download to a network share. Each client can then run SolidWorks Installation Manager from the share to install.

No further downloads will be required unless a user selects some items to install that were not selected during the initial download or if a computer that uses this download to install has a different set of prerequisites than the computer to which you downloaded the files.

If you are downloading on behalf of others but are not installing, select the Download Only option when installing. This option will allow you to select products regardless of what may be installed on your system. However, this option cannot be used to download patches or to create administrative images.

Back to Top

How do I know when a new version of SolidWorks products becomes available?

You will be informed when a new version is available in the following cases:
  • If you run Check for Updates ( Start > All Programs > SolidWorks Installation Manager > Check For Updates)
  • If you have enabled SolidWorks Background Downloader.
  • If you select an installed version of SolidWorks in Windows Add/Remove Programs and click Change
  • If you run an older version of the Installation Manager (sldIM.exe) from a download folder
In these cases, you may select to download the newer version. SolidWorks Installation Manager will download and run the newer version of itself, and not any installation files. After the newer version of SolidWorks Installation Manager runs, you may select a set of installation actions. SolidWorks Installation Manager will then determine which installation files are needed (and not downloaded previously) and will offer to download those files.

Back to Top

SolidWorks Installation Manager shows only SW2006 or SW2007 installs, but not the current version.

You are running an older version of SolidWorks Installation Manager that is no longer supported for the current release. It can only download service packs for SW2006 and SW2007 versions.

Back to Top

SolidWorks Installation Manager does not let me select a different service pack of a product to install.

That is by design. Each version of SolidWorks Installation Manager is designed to install only a specific version of SolidWorks products. If you want to install a different service pack, you need to run that version of SolidWorks Installation Manager. To find the latest version available, see How do I know when a new version of SolidWorks products becomes available?

Back to Top

SolidWorks Installation Manager is prevented from downloading files.

If proxy server restrictions prevent applications from downloading files, SolidWorks Installation Manager cannot download files automatically.

You can download files manually and then install them using SolidWorks Installation Manager. Select the option in SolidWorks Installation Manager to download individual files (for example, Conduct manual download on the Download Options page). Based on your product selections and system requirements, a web page appears in a separate window containing links to download all required files manually. These links are identical to those provided by the SolidWorks Customer Portal, but you do not need to search for the files.

Back to Top

Not all of my SolidWorks products are updated to the latest service pack, but Check For Updates tells me I have the latest version?

Check For Updates only tells you whether you have installed (or are running) the latest version of SolidWorks Installation Manager.

If you want to update all products to the latest version that is installed, in Add/Remove Programs, select the latest installed version of SolidWorks and click Change.

Back to Top

Can I copy a DVD to a download folder?

Yes, but installations may fail unless you copy the entire contents of each DVD released for that platform (x86 or x64). SolidWorks Installation Manager looks for the files swdata*.id to determine the version. If these files are not present, it will fail to recognize any of the installation files that you copied and will require that they be downloaded.

Back to Top

Parent topic: Troubleshooting


Troubleshooting SolidNetWork Licenses

If the SolidNetWork License Manager installation fails, check for these possible explanations.

  • Accessing the SolidNetWork License log files
    When a license error occurs, the answer often appears in the SNL_Manager_install_dir\lmgrd.log file.
  • Could not obtain a license for SolidWorks. Cannot connect to license server.
    Typically, this problem is caused by port settings.
Parent topic: Troubleshooting


Accessing the SolidNetWork License log files

When a license error occurs, the answer often appears in the SNL_Manager_install_dir\lmgrd.log file.

Parent topic: Troubleshooting SolidNetWork Licenses


Could not obtain a license for SolidWorks. Cannot connect to license server.

Typically, this problem is caused by port settings.

  • Port settings between the SolidNetWork license manager and the license client might not match.
  • Additional port settings for multiple versions of SolidNetWork license managers might not have been specified.
For details about port settings for SolidNetWork license managers and clients, see Using SolidNetWork Licenses with Firewalls.
Parent topic: Troubleshooting SolidNetWork Licenses


Troubleshooting Upgrades

If you encounter problems while upgrading to a new SolidWorks release, check for these possible explanations.

  • Upgrading from a Source That Has Moved
    When SolidWorks is installed, SolidWorks Installation Manager remembers the location of the installation sources (disk media, disk image on a network, etc.). It expects the sources to be available at the same location when updating.
Parent topic: Troubleshooting


Upgrading from a Source That Has Moved

When SolidWorks is installed, SolidWorks Installation Manager remembers the location of the installation sources (disk media, disk image on a network, etc.). It expects the sources to be available at the same location when updating.

If the source moves or is deleted, or if the source media changes, SolidWorks Installation Manager produces an error message. However, you can continue the upgrade by browsing to another location as long as it contains all the same file and folder structure.

Parent topic: Troubleshooting Upgrades


SolidWorks Installation Manager Application Help

SolidWorks Installation Manager is a standalone application that installs and updates your SolidWorks products.

You can run SolidWorks Installation Manager:
  • From a SolidWorks DVD or a shared source or download folder (when installing a new version)
  • From the Control Panel Add or Remove Programs page (when modifying or removing an existing version)
  • Through a scheduled or manual update check (when detecting, downloading, and installing new release versions)

Each version of SolidWorks has a version of SolidWorks Installation Manager specific to that SolidWorks version.

For versions prior to SolidWorks 2008, use SolidWorks 2007 Installation Manager or download product versions manually from the SolidWorks Support Web site.
  • SolidWorks Background Downloader
    SolidWorks Background Downloader performs automated file downloads (for example, when a new Service Pack release is found) using background processes, enabling you to continue other work while downloading. When the download completes, you are asked whether you want to install now, postpone the download, or remove the download.
  • Check for Updates Results
    Check for Updates looks for later versions of SolidWorks.
  • Administrative Image Location
    Specify the installation location of the administrative image.
  • Download Options
    Specify details for completing the download operation, such as the location of the downloaded files, how to download the files, and whether to install the downloaded files.
  • Download Options for SolidWorks Installation Manager Files
    You have chosen to download a later version of SolidWorks Installation Manager. Use this screen to specify where and how it is downloaded.
  • Download Product Installation Files
    Specify where and how to download missing files for the specified product.
  • Download Progress
    SolidWorks Installation Manager downloads, verifies, and extracts all files in parallel during this process.
  • Download Results
    Indicates whether the download completed successfully, failed during operation, or was cancelled.
  • Installation Errors/Installation Cancelled
    The installation has encountered an error or was cancelled.
  • Installation Is Complete
    SolidWorks Installation Manager has completed its processing.
  • Installation Location
    Specify SolidWorks installation locations.
  • Upgrade Options
    One or more older major versions of SolidWorks are currently installed on this computer. Choose whether to upgrade the latest existing version to the new version or to create a new installation for the new version.
  • Installation Progress
    This screen shows the progress of the installation.
  • Installation Type
    Specify the installation operation you would like to run, such as creating a new installation, modifying or repairing an existing installation, creating an administrative image, installing administrative server products, or downloading files without installing.
  • Installing and Managing Multiple Computers
    SolidWorks Installation Manager provides the following tools to install and manage multiple SolidWorks computers.
  • Manual Download
    You have chosen to download files manually (or you might have chosen to download manually the last time you ran SolidWorks Installation Manager).
  • Newer Version Available
    The Installation Manager has detected a newer version of SolidWorks products. You can choose to install the version contained in the original installation DVD or download, or you can choose to download and install the newer version.
  • No New Versions Available
    There are no newer versions available for download. Proceed with installing the specified version.
  • Processes Detected
    SolidWorks Installation Manager has detected processes on this computer that might prevent a successful installation.
  • Product Selection
    Specify the product components to install, modify, download, or remove.
  • Products to Download
    Select SolidWorks products to download to a specified location.
  • Products to Repair
    When you specify Repair this installation, this screen displays the SolidWorks products, with version numbers, that can be repaired by this version of SolidWorks Installation Manager.
  • Serial Numbers
    Serial numbers, found on the distribution box, associate your computer with the SolidWorks products you have purchased.
  • Server Installation
    The server products you are attempting to install are listed, with the results of the installations.
  • SolidNetWork License Manager
    Specify installation options for the SolidNetWork License Manager server product.
  • Summary
    SolidWorks Installation Manager has all of the information needed to complete the installation operation.
  • System Check Warnings
    System Check reported issues that could impact how you continue with the installation. In most cases, you should be able to proceed with SolidWorks Installation Manager.
  • Hole Wizard/Toolbox Options
    If SolidWorks Toolbox is installed, SolidWorks includes a standard library of hole types and hardware.
  • Uninstall Products
    When you select to Remove or Uninstall programs from the Control Panel, this screen displays the SolidWorks products (with version numbers) that can be uninstalled by this version of SolidWorks Installation Manager. You can choose to perform a standard, custom or complete uninstall.
  • Workgroup PDM Server Options
    Specify installation options for the SolidWorks Workgroup PDM server product.


SolidWorks Background Downloader

SolidWorks Background Downloader performs automated file downloads (for example, when a new Service Pack release is found) using background processes, enabling you to continue other work while downloading. When the download completes, you are asked whether you want to install now, postpone the download, or remove the download.

SolidWorks Background Downloader is enabled by default when you install SolidWorks using SolidWorks Installation manager.

When SolidWorks Installation Manager is running, whether for an installation or download operation, SolidWorks Background Downloader is paused. For example, it will pause any running downloads, not allow any new downloads to start, and will not allow you to change the download folder specification.

SolidWorks Background Downloader is enabled by default when you install SolidWorks. You can disable SolidWorks Background Downloader during SolidWorks installation by changing the Download Options on the Summary page. (Clear the Do you want to use the Background Downloader? option.)

When enabled, this icon appears in the Windows system tray in the toolbar:

Clicking this icon enables these operations:
  • Help with Background Downloader
  • Pause Download
  • Resume Download
  • Cancel Download
  • Installation Options
  • Change Download Location
  • Check for Updates
  • Automatically Check for Updates
  • Automatically Download Updates
  • Disable Background Downloader

Help with Background Downloader

Open this help topic for Background Downloader in SolidWorks Installation Guide.

Pause/Resume Download

If a download is running in the background, click Pause Download to pause that download, with the ability to resume later by clicking Resume Download.

Cancel Download

If a download is running, stop that download and delete any files Background Downloader has already downloaded.
You cannot resume a canceled download.

Installation Options

When a download is completed, you can choose from the following options:
  • Install now: Install the downloaded files.
  • Remind me later: Do not install the downloaded files, but set up a message to remind you later.
  • Delete this download: Do not install the downloaded files, and delete them. (This is useful if you have decided you no longer want to install the downloaded files.)

Change Download Location

Change the location where Background Downloader downloads files.

This option is not available if a download is either running or paused.

Check for Updates

Run the Check for Updates feature of SolidWorks Installation Manager.

Automatically Check for Updates

Periodically run Check for Updates, notifying you when updates are available for download.

Automatically Download Updates

Periodically run Check for Updates, downloading updates as they become available.

Disabling and Re-Enabling SolidWorks Background Downloader

You can disable Background Downloader by clicking the icon and then selecting Disable Background Downloading.

To re-enable Background Downloader, click Start > All Programs > SolidWorks Installation Manager > SolidWorks Background Downloader.

Parent topic: SolidWorks Installation Manager Application Help


Check for Updates Results

Check for Updates looks for later versions of SolidWorks.

You can run Check for Updates manually:
  • In Windows, click Start > Programs > SolidWorks Installation Manager > Check for Updates
  • In SolidWorks, click Help > Check for Updates.
Check for Updates is not available on clients installed from administrative images.

Newer Version Available

SolidWorks Installation Manager has detected a newer version of SolidWorks products. You can update to a newer version by selecting the SolidWorks Installation Manager for that version.

This newer version can download installation files based on the products you specify in the installation. You can share the downloaded files with other users who install using SolidWorks Installation Manager.

These downloads are only for use by SolidWorks Installation Manager.
These options are available:
  • If there are multiple versions available, you can select a version from the list.
  • For details about this version, click Check to see what this upgrade includes.
Clicking Next obtains and runs the selected version of SolidWorks Installation Manager.

No New Downloads Available/Unable to Check for New Versions

SolidWorks Installation Manager has not found a newer version of SolidWorks products, either because you are installing the latest version available or because it could not connect to the SolidWorks site to check.

Parent topic: SolidWorks Installation Manager Application Help


Administrative Image Location

Specify the installation location of the administrative image.

When creating an administrative image, these options apply:
New image location
This is the directory location in which SolidWorks Installation Manager will create the new image.
This location cannot contain an existing administrative image. The administrative image must be in a folder that can be shared for client deployment.
Estimated space required for image creation
This is the additional space required for the administrative image.
Verify that the disk to which you are installing has sufficient free space to support the image requirements.
Create image from
This is the directory location from which you are installing SolidWorks products.
This option appears only if the Install Only option is specified. For details, see Download Options.
Parent topic: SolidWorks Installation Manager Application Help


Download Options

Specify details for completing the download operation, such as the location of the downloaded files, how to download the files, and whether to install the downloaded files.

SolidWorks Installation Manager supports electronic software distribution (ESD). If you are not installing from a SolidWorks DVD, you are prompted to specify the source for the SolidWorks products you are installing.

For answers to questions about the download folder, see SolidWorks Installation Manager Download Folder.

What do you want to do?

Choose one of the following:
Download and install/Download and create image
After the download completes, SolidWorks Installation Manager runs an installation using the downloaded files.
Download only. You can download once and then share downloaded files with multiple computers.
SolidWorks Installation Manager does not run an installation after the download completes.

Typically, you would specify this option if you are downloading the files to configure an installation file set to share among multiple computers.

If you specify this option, you are then asked to choose between two sets of files to download:
  • Files for THIS computer: The download will contain only those files that are missing from the installation file set currently on this computer.
    This should be a smaller download because it contains:
    • Only files for products selected on the Product Selection page
    • Only the prerequisite files that are required for your computer but not yet installed

    However, if you try to use this downloaded file set on another computer to perform an installation, some files could be missing (because the installation file set on the other computer might be different from this one). You can use these download files to install on another computer, but when the installation runs you may have to download additional files to complete the installation file set on that computer.

  • Files to share with ANY computer: The download will contain the complete installation file set that can be used to install this version on any computer.

    This will be the larger download because it contains the complete file set that you can use to install this version of any product on any computer.

    If you specified a limited set of products to download, this option ignores that specification and downloads all products contained in the product release.

    The download will contain all files required to create an administrative image, not just those files required to perform an individual installation.

Install only/Create image only. I already have all the installation files needed.
SolidWorks Installation Manager does not download any files, but uses the files in the selected directory.

Click Browse to navigate to a different location. For example, you can browse to an installation DVD or a download folder, provided that location contains all the required files.

If you receive an error message that the folder is incomplete, and you were expecting all installation files to be present at that location, possible explanations include:
  • You selected a component for installation that had not been downloaded previously or it was selected by default.
  • The files were downloaded on another computer with a different set of system requirements.
  • You previously performed a client installation and now are creating an administrative image, which requires a larger file set.

You can either browse to a folder containing all the files (for example, a DVD) or select one of the download options.

Where do you want to download the required files?

This is the download folder location.

In some cases, this option might be visible but disabled. For example, if Install only is specified, SolidWorks Installation Manager will install any downloaded files from the directory specified for that option, rather than using a separate download folder.

Whether you are downloading these files or accessing them from your own location, all files must be downloaded to the same download folder.

Estimated download size

The estimated download disk space requirements are based on the complete component listing chosen, regardless of whether this is a new download or you are resuming a download from a previous session.

For example, if you are resuming a previous download SolidWorks Installation Manager processes only those files that have not already been downloaded. The download time could be less than the estimate.

If a file completed downloading in the previous download, its size is not included in this estimate. Therefore, the estimate might be higher than the actual download size.

How do you want to download?

There are two options:
Conduct manual download
In some cases, a proxy server might prohibit automatic downloads from SolidWorks Installation Manager.
By selecting this option, you can download the files manually through a Web page and then proceed within SolidWorks Installation Manager to complete the installation operations. This Web page is customized by SolidWorks Installation Manager to download only the files required to complete the installation.
Speed up downloads by using more network bandwidth
The downloader uses an algorithm to increase the speed of the download by increasing the network bandwidth used during the download.

In some cases, this can disturb network performance. If you have trouble downloading, this option might not be supported by the proxy server. Try clearing the option and attempting the download again. For details, check with your network administrator.

This option applies only to automatic downloads. It has no impact on manual downloads.

Using SolidWorks Background Downloader

You can use SolidWorks Background Downloader to complete this download operation or to download future SolidWorks Service Pack releases as they become available.

Solidworks Background Downloader can automatically detect and download new Service Pack updates in the background, notifying you when downloading is complete and the files are ready for installation. For details, see SolidWorks Background Downloader.

Parent topic: SolidWorks Installation Manager Application Help


Download Options for SolidWorks Installation Manager Files

You have chosen to download a later version of SolidWorks Installation Manager. Use this screen to specify where and how it is downloaded.

For answers to questions about the download folder, see SolidWorks Installation Manager Download Folder.

This screen appears only if there is a problem with the default download folder (for example, if write access or network access is not available). Typically, you can just specify an alternate download directory to proceed.

Download Directory

Browse to the destination for SolidWorks Installation Manager files.

The size of the download and the amount of space needed is shown. The amount of space needed includes extra space required to unzip certain downloads and is larger than the actual download size.

Use Download Acceleration

If you choose this option, the downloader uses an algorithm to increase the speed of the download.

Download acceleration increases bandwidth and can disturb network performance. Check with your network administrator before enabling download acceleration.

If download acceleration is not supported by the proxy server, this option is automatically disabled.

Parent topic: SolidWorks Installation Manager Application Help


Download Product Installation Files

Specify where and how to download missing files for the specified product.

SolidWorks Installation Manager downloads, verifies, and extracts all files in parallel during the download process.

Cancelling out of this screen cancels the rest of the installation sequence.

For the consequences of cancellation and instructions on completing interrupted installations, see Installation Errors.

Download Directory

Browse to the destination for the downloaded files.

The download size and the required space is shown. The required space includes any extra space needed to unzip certain downloads and is larger than the actual download size.

For answers to questions about the download folder, see SolidWorks Installation Manager Download Folder.

Download Options

Speed up downloads by using more network bandwidth
The downloader uses an algorithm to increase the speed of the download by increasing the network bandwidth used during the download.

In some cases, this can disturb network performance. If you have trouble downloading, this option might not be supported by the proxy server. Try clearing the option and attempting the download again. For details, check with your network administrator.

Download acceleration increases bandwidth and can disturb network performance. Check with your network administrator before enabling download acceleration.

If download acceleration is not supported by the proxy server, this option might be automatically disabled.

Parent topic: SolidWorks Installation Manager Application Help


Download Progress

SolidWorks Installation Manager downloads, verifies, and extracts all files in parallel during this process.

To cancel the download after it has begun, click Cancel.

If you cancel the download or the download fails, a Download Canceled or Download Problem screen indicates which downloads were not completed and lets you resume the download or close the application.

For answers to questions about the download folder, see SolidWorks Installation Manager Download Folder.
Parent topic: SolidWorks Installation Manager Application Help


Download Results

Indicates whether the download completed successfully, failed during operation, or was cancelled.

Download Problem/Download Cancelled

If you see Download Problem, SolidWorks Installation Manager encountered problems that prevented the download from completing.

If you see Download Cancelled, you cancelled the download before it could complete.

To proceed:

Retry/Resume automatic downloads
To resume the automatic download from when you cancelled, select this option and click Retry Download or Resume Download.
Download files individually in a Web browser
In some cases, a proxy server might prohibit automatic downloads from SolidWorks Installation Manager.
By selecting this option, you can download the files manually through a Web page and then proceed within SolidWorks Installation Manager to complete the installation operations. This Web page is customized by SolidWorks Installation Manager to download only the files required to complete the installation.

Download Complete

The Download Complete screen appears when the download completes if you specified the Download Only option.

Click Finish to exit SolidWorks Installation Manager.

Do not attempt to install any of these products manually. Always use SolidWorks Installation Manager to install downloaded files.
Parent topic: SolidWorks Installation Manager Application Help


Installation Errors/Installation Cancelled

The installation has encountered an error or was cancelled.

If an error or cancellation occurs:
  • Products that installed before the error or cancellation remain on the computer.
  • The product that was being installed at the time of the cancellation is rolled back, if possible, so that there are no partial installations.
  • Remaining products are not installed or uninstalled. A list is provided under Not Yet Attempted.

    To resume installing or uninstalling these products, click the link provided.

SolidWorks Installation Manager first installs any prerequisites that are not installed on the computer, such as .NET framework. It then installs the selected products in this order:
  1. SolidWorks
  2. eDrawings
  3. SolidWorks Search
  4. SolidWorks Explorer/Workgroup PDM
  5. PhotoView 360
  6. SolidWorks Flow Simulation
  7. COSMOSM
  • Recovering from a Failed or Cancelled Installation
    If an error or cancellation occurs during installation, you can recover from that point by re-running the installation.
  • Repairing the Installation
    If an error or cancellation occurs during installation, you can use Windows Control Panel to repair the installation.
  • Contacting the SolidWorks Reseller
    If modifying or repairing the installation fails, contact your local SolidWorks reseller with the information gathered from this screen. You might also be asked to provide a zip file of SolidWorks Installation Manager log files.
Parent topic: SolidWorks Installation Manager Application Help


Recovering from a Failed or Cancelled Installation

If an error or cancellation occurs during installation, you can recover from that point by re-running the installation.

  1. Record the error message and product code for the installation that failed, as shown on the Installation Errors or Installation Cancelled screen.

    If you are prompted for a source file and you are not modifying an existing SolidWorks installation, the installation or computer may be corrupt. Contact your SolidWorks reseller.

  2. Reboot the computer.
  3. To ensure that no SolidWorks products are running, in Windows, press Ctr+Alt+Del to open the Task Manager.
  4. On the Processes tab, if any of the following processes appear under Image Name, select them and click End Process.

    • SLDWORKS.exe
    • EModelViewer.exe
    • PDMworks.exe
    • pdmwVault.exe
    • SWViewer.exe
    • solidworksexplorer.exe
    • swlmwiz.exe
    • photoview360.exe
    • SWBoengine.exe
    • SWVBAServer.exe
    • Sldshellextserver.exe

  5. If the application is already installed and you were trying to modify or remove it, try to repair the installation. For details, see t_repairing_installation.htm#doc1292869659219.
  6. In Windows Vista or later, click Start > Control Panel > Programs and Features. For earlier versions of Windows, click Start > Control Panel > Add or Remove Programs.
  7. Select the version of SolidWorks that failed.

    If there is no entry for the SolidWorks version you are trying to install, repeat the installation process.

  8. Do one of the following:
    • To retry, click Change and select all products that failed to install or were skipped during the installation.

    • To skip the failed installation, click Change and select all products that were skipped during the installation. Clear the product that failed to install.

    • To abandon the installation, click Remove and select any products that were installed.

    This will not restore the previous version of any products you are upgrading.

Parent topic: Installation Errors/Installation Cancelled


Contacting the SolidWorks Reseller

If modifying or repairing the installation fails, contact your local SolidWorks reseller with the information gathered from this screen. You might also be asked to provide a zip file of SolidWorks Installation Manager log files.

  1. Locate the log files:
    • For Windows operating system versions prior to Vista:

      C:\Documents and Settings\username\Application Data\SolidWorks\Installation Logs\installed_version\

    • For Windows Vista or later:

      C:\Users\username\AppData\Roaming\SolidWorks\Installation Logs\installed_version\

    If you cannot find the folder, it might be hidden. In Windows Explorer, click Tools > Folder Options. On the View tab, under Advanced Settings, select Show hidden files and folders for Hidden files and folders.

  2. Zip the entire contents of this folder, including sub-folders.
Parent topic: Installation Errors/Installation Cancelled


Installation Is Complete

SolidWorks Installation Manager has completed its processing.

One or more of these options may be displayed.

What's New

For individual installations, when you finish the installation process, a document describing new functionality in SolidWorks and its add-in products appears.

For administrative image installations, the document appears on client computers when they complete their installations.

Survey

Give us your opinions about the installation process by answering a short survey.

Join the SolidWorks Customer Experience Improvement Program

Performance information is sent to SolidWorks Corporation to help improve the product. The process is transparent and confidential. Select one of the following:
  • Yes, I want to join
  • No, thank you
  • Remind me later
For further information, see the Customer Experience Improvement Program Web site.

Administrative Image Creation Is Complete

When you finish creating the administrative image, you can click Customize Image to run the Administrative Image Option Editor to customize the image.

Click Show me how to install this image on a client. to show instructions on using the Option Editor.

For details about configuring an administrative image using the Option Editor, see Administrative Image Option Editor.

Click Customize Image to start the Administrative Image Option Editor to customize the option settings for this administrative image.
You can start the Option Editor later by double-clicking sldAdminOptionEditor.exe in the Administrative Image installation directory.
  • Checking for Updates to SolidWorks
    You can use SolidWorks Installation Manager to check for updates manually or to configure automatic periodic checking for updates.
  • SolidWorks Customer Experience Improvement Program
    When installing SolidWorks, you can specify that performance information is sent to SolidWorks Corporation to help improve the product.
Parent topic: SolidWorks Installation Manager Application Help


Checking for Updates to SolidWorks

You can use SolidWorks Installation Manager to check for updates manually or to configure automatic periodic checking for updates.

  1. Start SolidWorks Installation Manager by doing one of the following:

    • In the SolidWorks application, click Help > Check for Updates.

    • In Windows, click Start > Programs > SolidWorks Installation Manager > Check for Updates.

    SolidWorks Installation Manager tells you whether any updates are currently available.

  2. If updates are available, choose whether to download and install them.
  3. To enable automatic periodic checks for updates, when SolidWorks Installation Manager completes its processing select Check for Updates every __ days and specify the frequency of checks.
Parent topic: Installation Is Complete


SolidWorks Customer Experience Improvement Program

When installing SolidWorks, you can specify that performance information is sent to SolidWorks Corporation to help improve the product.

SolidWorks uses this information to determine trends concerning product usage and quality. Our goal is to deliver the highest quality product and the performance logs are a useful tool in this process.

The process is transparent. All information contained within the log files is treated confidentially. It is not used for any other purpose and no one will contact you.

For further information, see the Customer Experience Improvement Program Web site.

Parent topic: Installation Is Complete


Installation Location

Specify SolidWorks installation locations.

For installations except administrative image creation, these options apply:
Install selected products to
This is the directory location to which you are installing SolidWorks.
When upgrading or modifying an installation, all files must be installed to the existing location for that installation. In this case, you cannot change the location of the existing SolidWorks installation.
Estimated space required for installation
This is the additional space required for the products selected for installation or modification.
Verify that the disk to which you are installing has sufficient free space to support the installation requirements.
Install from
This is the directory location from which you are installing SolidWorks.
This option appears only if the Install Only option is specified. For details, see Download Options.
Consult your system administrator before changing either SolidWorks installation location.

Administrative Image Locations

When creating an administrative image, these options apply:
New image location
This is the directory location in which SolidWorks Installation Manager will create the new image.
This location cannot contain an existing administrative image.
Estimated space required for image creation
This is the additional space required for the administrative image.
Verify that the disk to which you are installing has sufficient free space to support the image requirements.
Create image from
This is the directory location from which you are installing SolidWorks products.
This option appears only if the Install Only option is specified. For details, see Download Options.
Existing image location
When upgrading an existing administrative image, SolidWorks Installation Manager creates a new image based on the settings for that existing image. This existing image is not modified. This shows the location of the original image you specified on the Welcome screen.

Avoid Using Version-Specific Directory Paths

If you specify a version number in an installation directory location (for example, C:\Program Files\SolidWorks Corp\SolidWorks 2010\), and then upgrade that installation to SolidWorks 2011, you will have a SolidWorks 2011 installation directory that is labeled SolidWorks 2010.

Parent topic: SolidWorks Installation Manager Application Help


Upgrade Options

One or more older major versions of SolidWorks are currently installed on this computer. Choose whether to upgrade the latest existing version to the new version or to create a new installation for the new version.

This choice appears only if no previous version of this major release is installed on this computer. If a previous version of this major release is installed, SolidWorks Installation Manager always updates that installation.

(Starting in SolidWorks 2010, parallel installations of multiple Service Pack versions of the same major release are no longer supported.)

When upgrading:
  • All specified products are upgraded.
  • All installed products are selected by default.
  • If you deselect a product, that product is not upgraded.
    If you deselect a product component, you are not specifying that SolidWorks Installation Manager remove that component. To remove a product component, use Add/Remove Programs, as described under Removing an Installation.

Select the appropriate option and click Next to continue.

Create a new installation of SolidWorks version.

Selecting this option preserves the older major version installation in addition to creating a new installation for this major version.

This can be useful if you want to access the older version of SolidWorks even after the newer version is installed. For example, if you are sharing files with other users who are still running the older version, you can avoid version incompatibility with files saved using the newer version.

Upgrade SolidWorks previous_major_version to SolidWorks current_major_version.

Selecting this option upgrades the older version installation to the newer version.
Once the installation completes, the older SolidWorks version will no longer be available on this computer.
Parent topic: SolidWorks Installation Manager Application Help


Installation Progress

This screen shows the progress of the installation.

To cancel the installation after it has begun, click Cancel.

For the consequences of cancellation and instructions on completing interrupted installations, see Installation Errors.

Parent topic: SolidWorks Installation Manager Application Help


Installation Type

Specify the installation operation you would like to run, such as creating a new installation, modifying or repairing an existing installation, creating an administrative image, installing administrative server products, or downloading files without installing.

Individual

Install SolidWorks products on this computer.

This option appears only if this version is not currently installed on this computer.

Modify the individual installation

Modify the existing SolidWorks installation on this computer.

This option appears only if this version is currently installed on this computer.
Modifications include:
  • Adding or removing SolidWorks product components
  • Changing to a different SolidWorks package (for example, SolidWorks Professional, SolidWorks Premium, and so on)
  • Changing the SolidWorks serial number setting
    If you already specified a SolidWorks serial number during a prior installation, SolidWorks Installation Manager might not prompt for it again. To change the serial number that is assumed by SolidWorks Installation Manager, you must select this option.

Repair the individual installation

Repair the existing SolidWorks installation on this computer.

This option appears only if this version is currently installed on this computer.
Repair verifies that all the files are present and registered properly and fixes any problems that are found. Data you have created is not affected.
  • To repair a product, ensure that it is selected.
  • Clear the check boxes for products you do not want to repair.
You can repair an individual installation. You cannot repair an administrative image installation; you must reinstall using the administrative image.

Administrative image

Create or update an administrative image on this computer.

You can use an administrative image to install on multiple computers. For details about installing SolidWorks on multiple clients using administrative images, see Using Administrative Images.

When creating or updating administrative images:
  • You can use installation settings from an existing image to configure the new or updated image, or you can use the default SolidWorks installations settings.
  • If you are updating an existing image:
    • SolidWorks Installation Manager creates a new copy of the image, even if you are updating. The original image is not modified.
    • You can create the updated image using files from the existing image you are updating. This results in a smaller download.
    If you do not specify an image for which a Service Pack release is available to update the previous image, you cannot take advantage of the smaller download.
  • You can create a 32-bit administrative image and a 64-bit image on this computer. Otherwise, only the image that corresponds to the hardware architecture of this computer is created.
    If you do specify both 32-bit and 64-bit image creation, the SolidWorks installation media for both architectures will be required to complete the installation.

Server products

SolidWorks administrative server products include SolidWorks Workgroup PDM Server (Vault) and SolidNetWork License Manager.

For details about these products, see:
  • Workgroup PDM
  • Administering Licenses Using a SolidNetWork License Manager

Download only

Download the installation files for selected SolidWorks products without installing the products.

This option does not appear if you are installing from a DVD.

The content of the downloaded files is the same as the files that are available on the SolidWorks installation DVD. Selecting this option downloads the full set of installation files, regardless of what files might already be installed on your computer.

You can use this method to set up a server from which your users can perform installations. This is different from creating an administrative image.

Installing the wrong SolidWorks architecture for this computer

If you are attempting to install using the wrong SolidWorks installation media for this computer architecture (for example, if you are trying to install 64-bit SolidWorks on a 32-bit computer) this installation panel should indicate this problem.

To continue the installation:
  1. Cancel this SolidWorks Installation Manager session.
  2. Check the computer architecture and system requirements for this computer.
  3. Re-install using the correct SolidWorks installation media for this computer architecture.
Parent topic: SolidWorks Installation Manager Application Help


Manual Download

You have chosen to download files manually (or you might have chosen to download manually the last time you ran SolidWorks Installation Manager).

Click the link to open an automatically generated Web page that contains a complete list of the files you need to complete your download.

You must download to the folder specified on the Summary page. Installation cannot begin until all the files are downloaded into that folder.

Once you have completed the manual downloads, click Next to continue.

If you want to download automatically, you can change the option by going back to the Summary Page and changing Download Options.

Parent topic: SolidWorks Installation Manager Application Help


Newer Version Available

The Installation Manager has detected a newer version of SolidWorks products. You can choose to install the version contained in the original installation DVD or download, or you can choose to download and install the newer version.

If You Are Installing from a DVD

Under Would you like to use the newer version?, choose one of the following:
  • No, continue installing version from this DVD. You can update afterwards with a smaller download.

    Select this option to continue with the installation using the current Installation Manager.

    After the installation completes, you can check for and install updates using the Installation Manager. To check for updates, run Start > SolidWorks Installation Manager > Check for Updates.

    The advantage is that this results in a smaller download. The disadvantages are that this is a two-step process and the files that you download are version specific (and cannot be shared by other users using different versions).

  • Yes, perform installation using this DVD, then download and update to version.

    Select this option to download and run a later version of the Installation Manager to install SolidWorks products for that version.

    If a small Service Pack release is available to update the DVD version, Installation Manager first will install the original version from the DVD and then apply the Service Pack update. This results in a smaller download.

    You can achieve the same result by selecting the option to continue installing from the DVD and then applying the update at a later date.

    The advantage of this option is that it is a one-step process.

In most cases, installing the full version from the DVD and then using the Installation Manager to check for and install updates is preferred because it requires smaller downloads.

If You Are Installing from a Download

Choose one of the following:
  • Continue installing version.

    Select this option to continue installing the version contained in the initial download.

  • Download and install a new version: version

    Select this option to download the new version and install that. If there are multiple new versions available, you can select the version to download and install.

Parent topic: SolidWorks Installation Manager Application Help


Processes Detected

SolidWorks Installation Manager has detected processes on this computer that might prevent a successful installation.

  • To continue the installation do one of the following:
    • Close these processes (for example, using Microsoft Windows Task Manager) and then press Retry.
    • Click Ignore to proceed without closing the processes.
  • To stop the installation, press Cancel.
Parent topic: SolidWorks Installation Manager Application Help


Product Selection

Specify the product components to install, modify, download, or remove.

In the product listing:
  • The product listing is the complete listing of products that are available in the package specified above the product listing.
  • To view the projected action for a particular component, click the component name (but not the check box). The intended installation action appears in the information field below the product listing.
  • You can click the check box next to the product component to change the installation action for that component. (For example, if you are installing or removing components, selecting the check box specifies that the component is to be installed or removed and clearing the check box specifies that the component is not to be installed or removed.)
  • If you are performing a Modify installation, an asterisk (*) appears to the left of components when you make any change in the product selection.
  • If a component has optional installation sub-components in it, a + icon appears next to the component. To see the available sub-components for a component, click the + icon.
  • If a component has been expanded to show optional sub-components, a - icon appears next to the component. To collapse the sub-component listing, click the - icon.

If you are applying a Service Pack, features of SolidWorks appearing under SolidWorks (for example, FeatureWorks) cannot be selected. This is because you cannot add or remove a feature when performing this type of upgrade.

The actions performed by SolidWorks Installation Manager are controlled by a set of product coexistence rules. For details, see Product Coexistence Rules.

SolidWorks Installation Manager selects these product components by default:
  • If you are performing an upgrade or a Service Pack update, SolidWorks Installation Manager selects the products currently installed.
  • Otherwise, SolidWorks Installation Manager selects all products to which you are entitled.
To reduce your installation or download time and disk space requirements, expand the product components and clear the check box for those components you do not need.

If SolidWorks Installation Manager was unable to verify the products to which you are entitled, you can click Select different packages or products to change the product package (such as SolidWorks Professional or SolidWorks Premium) listing to install or modify. SolidWorks Installation Manager lists all SolidWorks products on your installation media that are compatible with the package you select. You can select any products you purchased or are entitled to evaluate.

SolidWorks Search

SolidWorks Search provides a powerful full text search of SolidWorks documents, the Workgroup PDM vault, and 3D ContentCentral. Search displays a preview and the file location and name.

After the installation, SolidWorks Search indexes SolidWorks documents for faster searches. Only SolidWorks files are indexed by default.

Installing SolidWorks Search automatically installs Windows Desktop Search if it is not already installed on your computer.

Language Support

Expand the SolidWorks product and the Languages component to see the languages you can install.

The Languages specification limits the languages that are installed for the SolidWorks product only. Other product installations are not affected by this specification. For example, SolidWorks eDrawings®, SolidWorks Workgroup PDM, and SolidWorks Explorer install all languages.

Space Needed

SolidWorks Installation Manager reports either total installation size or total download size at the bottom of the page.

  • If you selected the Download Only option, download size appears. Download size is the total amount of disk space required for all of the downloaded files (not including extra space required to unzip the files after the download completes). This figure is an estimate.
    All files needed for installation are included in the total download size. If some files already were downloaded into the current download folder, they will not be downloaded again. As a result, your actual download size might be smaller than the total download size shown, or you might not need to download any files.
  • Otherwise, installation size appears. Installation size is the change in disk space usage that will occur when you complete this installation. Due to file compression, these figures are estimates.

    If you are upgrading or removing an existing installation, the installation size could be zero.

    The figure shown does not include any space needed to download or extract files if required for the installation.

    If downloads are required and you are downloading to the same drive, the actual disk space requirements could be significantly greater than the installation size that appears.

    To reduce download or installation time for future modifications, do not delete the downloaded files after installation. Subsequent updates and patches typically require access to the last full installation file set.

Parent topic: SolidWorks Installation Manager Application Help


Products to Download

Select SolidWorks products to download to a specified location.

The products available for download are determined by the serial number you supplied:

  • The action to be performed for each component appears to the right of each item.
  • If a component has optional installation sub-components in it, a + icon appears next to the component. To see the available sub-components for a component, click the + icon.
  • If a component has been expanded to show optional sub-components, a - icon appears next to the component. To collapse the sub-component listing, click the - icon.
  • Click the check box to the left of each component to select how it is handled by SolidWorks Installation Manager.
SolidWorks Installation Manager downloads all product components to which you are entitled, unless you specify otherwise. To reduce your download time and disk space requirements, expand the product components and select those components you do not need.

If SolidWorks Installation Manager was unable to verify the products to which you are entitled, you can select a SolidWorks package to download. SolidWorks Installation Manager lists all SolidWorks products that are compatible with the package you select.

If SolidWorks Installation Manager was unable to verify the products to which you are entitled, you can click Select different packages or products to change the product package (such as SolidWorks Professional or SolidWorks Premium) listing to install or modify. SolidWorks Installation Manager lists all SolidWorks products on your installation media that are compatible with the package you select. You can select any products you purchased or are entitled to evaluate.

Language Support

The Languages specification limits the languages that are installed for the SolidWorks product only. Other product installations are not affected by this specification. For example, SolidWorks eDrawings®, SolidWorks Workgroup PDM, and SolidWorks Explorer install all languages.

Space Needed

Based on the products you select, the space needed to perform the download is shown. Download size is the total amount of disk space required for all of the downloaded files (not including extra space required to unzip the files after the download completes). This figure is an estimate.

To reduce download or installation time for future updates and patches, do not delete the downloaded files after installation. Subsequent updates and patches typically require access to the last full installation file set.
Parent topic: SolidWorks Installation Manager Application Help


Products to Repair

When you specify Repair this installation, this screen displays the SolidWorks products, with version numbers, that can be repaired by this version of SolidWorks Installation Manager.

Repair verifies that all the files are present and registered properly and fixes any problems that are found. Data you have created is not affected.
  • To repair a product, ensure that it is selected.
  • Clear the check boxes for products you do not want to repair.

Click Repair to begin repairing the selected products.

You can repair an individual installation. You cannot repair an administrative image installation; you must reinstall the administrative image.
Parent topic: SolidWorks Installation Manager Application Help


Serial Numbers

Serial numbers, found on the distribution box, associate your computer with the SolidWorks products you have purchased.

If SolidWorks products are already installed on your computer, their serial numbers are displayed by default.
  • Enter your SolidWorks serial number if it is not already displayed.
  • If you have serial numbers for products that are not included with your SolidWorks license, click the product entry underneath Do You Have Other Serial Numbers? and then enter the serial number for that product.

If you have an internet connection, the serial numbers you provide will determine the products to which you are entitled as you continue through the installation process.

Because there are multiple ways to purchase SolidWorks products, some serial numbers can cover two or more products. For example, a SolidWorks serial number might enable you to install SolidWorks Simulation without entering a separate SolidWorks Simulation serial number. In addition, some products do not require a serial number. If you have any questions about your serial numbers, contact your VAR.
Parent topic: SolidWorks Installation Manager Application Help


Server Installation

The server products you are attempting to install are listed, with the results of the installations.

Server Installation Status

Server product installations are performed by an external installation application. If you are not currently in that application, you must switch to it to complete the installation.

Click Cancel to stop the server product installations.

Server Installation Complete

The external installation application has completed successfully.

Click Finish or Next.
  • If you are installing other administrative products (for example, a SolidWorks administrative image), that installation continues.
  • If the server product installations were the only installation operation, SolidWorks Installation Manager closes.

Server Installation Cancelled or Failed

If a server product installation failed or was cancelled after it was begun, servers that were not installed are listed.

Click Close or Next.
  • If you specified other administrative product installations, SolidWorks Installation Manager will resume.
  • If the server product installations were the only installation operation, SolidWorks Installation Manager closes.
Parent topic: SolidWorks Installation Manager Application Help


SolidNetWork License Manager

Specify installation options for the SolidNetWork License Manager server product.

Serial numbers

Specify SolidNetWork License serial numbers. You can specify multiple serial numbers by separating them using commas.
SolidNetWork serial numbers are different from SolidWorks serial numbers.

Installation location

Specify the installation location for the SolidNetWork License Manager.

If you are updating an existing SolidNetWork License Manager, you must install to the existing installation location.

For more information

For details about installing, configuring, and using SolidNetWork License Manager, see Administering Licenses Using a SolidNetWork License Manager.

Parent topic: SolidWorks Installation Manager Application Help


Summary

SolidWorks Installation Manager has all of the information needed to complete the installation operation.

To continue: | Click the action Now button to initiate the installation operation (for example, Install Now, Create Now, Download Now, Modify Now).
To change installation settings: | Click CHANGE [image] for the section you want to change (for example, Products, Installation Location, Toolbox Options).
To cancel: | Click Cancel [image] to exit SolidWorks Installation Manager without changing installation components.
To revert to a previous page: | Click Back [image] to return to a previous page in SolidWorks Installation Manager.
For information about a particular set of installation options (for example, Products, Installation Location, Toolbox Options, and so on):
  1. Click CHANGE [image] next to the section for which you want information.
  2. In the detail page that appears, click Help [image] to get information about those installation option settings.
Parent topic: SolidWorks Installation Manager Application Help


System Check Warnings

System Check reported issues that could impact how you continue with the installation. In most cases, you should be able to proceed with SolidWorks Installation Manager.

The warnings you can encounter at this stage are listed below with suggestions about how to proceed.

Serial Number Validation Problems
The Installation Manager was not able to check for new versions because it could not validate your serial number. If you are connected and entered a valid serial number, this could indicate a temporary problem on our server. Try again later.

Serial Number Validation: The Installation Manager could not validate your serial number to determine which products you are entitled to install. You will still be able to choose the products you want to install, but you will not be able to download any installation files. You will need to provide a complete set of download source files or a DVD from which to install.

Resolution:
  • Check the internet connection. The serial number check requires a valid internet connection.
  • Check that the serial number you entered is valid for the products you are trying to install.
  • Some installations require that you have a valid subscription in place at the time the version was released. For details, consult your SolidWorks reseller.
  • In most cases, you can proceed with the installation, provided you are installing from a DVD or a previously downloaded file set.
Newer Version Available
Newer Version Available

New Versions Available

A newer version of this product is available for download.

Resolution: When performing a Check for Updates operation, the installation might prompt you to install a later version that is available by downloading from SolidWorks. You can continue this operation using the version you initially specified or you can download this newer version and continue the operation using that version instead.

Latest Version Available
This is the latest version available. Click Next to continue.

No New Downloads Available

Resolution: This message can appear when you are checking for updates during an installation or modification. It indicates that you are currently installing (or have installed) the latest version available.

Internet Connection Problems
Internet Connection: The Installation Manager could not connect to the SolidWorks server to determine which products you are entitled to install. You will still be able to choose the products you want to install, but you will not be able to download any installation files. You need to provide source files on DVD or a previously downloaded file set.

Unable to Check for New Versions

The Installation Manager was not able to check for new versions because it could not connect to the server.

Resolution:
  • Check the internet connection.
  • You can proceed with the installation, provided you are installing from a DVD or a previously downloaded file set.
Parent topic: SolidWorks Installation Manager Application Help


Hole Wizard/Toolbox Options

If SolidWorks Toolbox is installed, SolidWorks includes a standard library of hole types and hardware.

For details about configuring, extending, and using SolidWorks Toolbox, click Help > Toolbox Help in SolidWorks.
To view this help, you might have to start the Toolbox add-in, using Tools > Add-Ins.

Before using a SolidWorks Toolbox, make sure it is properly configured according to your company or group policy. In many cases, a group will configure and maintain a central Toolbox. Check with the SolidWorks administrator for guidance on how to specify a Toolbox during SolidWorks installation.

You can change the selected SolidWorks Toolbox after installation. In SolidWorks, click Tools > Options. On the System Options tab, click Hole Wizard/Toolbox.

The following sections describe all options you can encounter on this screen for all configurations. The actual Toolbox options you see depends on the pre-existing SolidWorks and Toolbox configurations on this computer and SolidWorks Installation Manager choices you have specified to this point.

Create a new new-version Toolbox

Create a new version of SolidWorks Toolbox on this computer.

When you create a new version, in the Product Selection screen, expand SolidWorks > SolidWorks Toolbox and select which standards to support for the Toolbox. All standards are selected by default.

Any existing Toolboxes on this computer are not modified.

Reference or upgrade an existing Toolbox

Use an existing Toolbox. Click Browse to specify the location of the Toolbox you want to use with this installation.

  • If the Toolbox is configured for a previous SolidWorks major release version, it is upgraded to this version. Any customizations made to that Toolbox are preserved in the upgraded Toolbox.
    Upgrading a Toolbox to a new SolidWorks major release version makes that Toolbox incompatible with computers running prior major release SolidWorks versions.
  • If the Toolbox is configured for this SolidWorks version (as might be the case if you specify a shared network Toolbox that has already been upgraded), no upgrade to that Toolbox occurs.
  • If you are upgrading a Toolbox in an Enterprise PDM environment, additional procedures are required. For details, see Upgrading Toolbox in a SolidWorks Enterprise PDM Environment.

This option appears in all installation scenarios except creating an administrative image.

Upgrade a previous-version Toolbox

Copy a Toolbox configured for a previous major release version to a new location and upgrade that copy to this version.

This option appears if a previous SolidWorks major release version is installed on this computer, but you have chosen not to upgrade that installation to this release.
The purpose of this option is to upgrade a Toolbox for a previous major release SolidWorks version that is installed without impacting users that are using the older version of Toolbox.

If you are upgrading a Toolbox in an Enterprise PDM environment, additional procedures are required. For details, see Upgrading Toolbox in a SolidWorks Enterprise PDM Environment.

Upgrade this installed previous-version Toolbox

Upgrade this Toolbox to the newer version.
Upgrading a Toolbox to a new SolidWorks major release version makes that Toolbox incompatible with computers running prior major release SolidWorks versions.

This option appears if you are upgrading a previous SolidWorks major release version to this version and a Toolbox configured for that release is found on this computer.

If you are upgrading a Toolbox in an Enterprise PDM environment, additional procedures are required. For details, see Upgrading Toolbox in a SolidWorks Enterprise PDM Environment.

Use the installed current-version Toolbox

SolidWorks Installation Manager has detected on this computer a Toolbox configured for this SolidWorks major release version.

If you select this option, SolidWorks will use this Toolbox. No upgrade occurs.

This option appears if a previous SolidWorks major release version is installed on this computer, but a Toolbox is configured for this version. This might occur if a shared Toolbox is created on a computer that is still running an older SolidWorks version.

Specify the Toolbox location for the client computer

Specify a network or directory location as the default Toolbox location when clients install from an administrative image.
If the location contains a Toolbox configured for a previous SolidWorks major release version at the time the client installation occurs, SolidWorks Installation Manager upgrades that Toolbox.

This option appears when you are creating a new administrative image.

Upgrade or use the Toolbox referenced in the existing image for the client computer

Use the Toolbox location specified in an existing administrative image you are updating.
If the location contains a Toolbox configured for a previous SolidWorks major release version at the time the client installation occurs, SolidWorks Installation Manager upgrades that Toolbox.

Select a different Toolbox location for the client computer

Specify a different Toolbox location from that specified in an existing administrative image you are updating.
If the location contains a Toolbox configured for a previous SolidWorks major release version at the time the client installation occurs, SolidWorks Installation Manager upgrades that Toolbox.
  • Notes About Configuring SolidWorks Toolbox
    SolidWorks Toolbox is a powerful and complex feature. This topic summarizes some concepts to consider before configuring a Toolbox using SolidWorks Installation Manager.
  • UNC Format
    Uniform (or Universal) Naming Convention format specifies a file name syntax format to describe a shared file location.
Parent topic: SolidWorks Installation Manager Application Help


Notes About Configuring SolidWorks Toolbox

SolidWorks Toolbox is a powerful and complex feature. This topic summarizes some concepts to consider before configuring a Toolbox using SolidWorks Installation Manager.

Finding More Information About SolidWorks Toolbox

For details about configuring, extending, and using SolidWorks Toolbox, click Help > Toolbox Help in SolidWorks.
To view this help, you might have to start the Toolbox add-in, using Tools > Add-Ins.

Using a Shared Toolbox

When you install Toolbox, you can have Toolbox data on the local computer or in a shared network location. Storing Toolbox data in a network location is recommended. By using a common location, all SolidWorks users share a consistent set of fastener information.

If this is the first time installing, browse to the new shared location where you would like to install the Toolbox.

Upgrading an Existing Toolbox

Upgrading a Toolbox to a new SolidWorks major release version makes that Toolbox incompatible with computers running prior major release SolidWorks versions.

If other computers remain at that prior major release and continue to require a Toolbox configured for that release, you should make a copy of that Toolbox and upgrade that copy. The new SolidWorks installation will upgrade the copy of the Toolbox and the previous SolidWorks installations will continue using the old Toolbox.

Configuring Toolbox Access

After installation, when you access Toolbox components SolidWorks checks how you have configured Toolbox and makes suggestions to improve access and performance.

For accessing the shared network Toolbox (recommended), use a UNC path to the server on which the shared Toolbox was installed. For details, see UNC Format.

An administrator can create a password for Toolbox and set permissions and preferences for the workgroup. Restricting access to configuration and setting common preferences ensures consistent Toolbox data.

Upgrading Toolbox in a SolidWorks Enterprise PDM Environment

Before you upgrade the first SolidWorks installation that accesses the Toolbox folder from an Enterprise PDM vault:
  1. In Windows Explorer, navigate to the Toolbox folder in the Enterprise PDM vault.
  2. Right-click the Toolbox folder and click Get Latest Version.

    This enables SolidWorks Installation Manager to verify whether parts need to be updated.

  3. Check out the Toolbox folder.

    The Toolbox folder must be checked out so SolidWorks Installation Manager can update the Toolbox.

  4. After upgrading, check in the Toolbox folder.

The Toolbox library in the vault has now been upgraded.

For subsequent SolidWorks upgrades, before initiating the upgrade, Enterprise PDM clients must get the latest version of the vault Toolbox folder (using Get Latest Version). This enables SolidWorks Installation Manager to verify that the files are up to date.

For details about Toolbox configuration in SolidWorks Enterprise PDM, see Configuring Toolbox in the SolidWorks Enterprise PDM Administration Tool help.

Parent topic: Hole Wizard/Toolbox Options


UNC Format

Uniform (or Universal) Naming Convention format specifies a file name syntax format to describe a shared file location.

\\server\volume\path

For example:

\\Disk_Server\SolidWorks\AdminImage

Parent topic: Hole Wizard/Toolbox Options


Uninstall Products

When you select to Remove or Uninstall programs from the Control Panel, this screen displays the SolidWorks products (with version numbers) that can be uninstalled by this version of SolidWorks Installation Manager. You can choose to perform a standard, custom or complete uninstall.

The standard uninstall removes Program Files and Folders of a SolidWorks product. By default, all SolidWorks products for the selected release are specified for a standard uninstall.

A custom uninstall removes one or more of the following items: Program Files and Folders, registry keys and data folders, such as the SolidWorks Toolbox, and files and folders from the original download location.

A complete uninstall removes the install directories, registry keys and data folders.

To uninstall a product:
  1. On the Uninstall screen, ensure that the product is selected.

    If you uninstall all products, the Solidworks Installation Manager is also uninstalled.

  2. Clear the products you do not want to remove.

    If you retain any product, SolidWorks Installation Manager is not removed.

  3. Choose whether to perform a custom or complete uninstall.
    1. Click Change in Advanced Options.

      The Advanced Options screen appears. The Program Files and Folders option is checked.

    2. Select one or more options to perform a custom uninstall, or select all options to perform a complete uninstall.
    3. Click Back to Summary.
    4. On the Summary screen, expand Advanced Options to display the uninstall method and entries.
  4. Click Remove Items [image].
When you click Remove Items, SolidWorks Installation Manager starts removing products immediately.
Parent topic: SolidWorks Installation Manager Application Help


Workgroup PDM Server Options

Specify installation options for the SolidWorks Workgroup PDM server product.

Installation Location

Specify the installation location for the Workgroup PDM server products.

Products to install

Specify which Workgroup PDM server products to install:
Workgroup PDM Vault
Specify the location for the Workgroup PDM Vault data. A Workgroup PDM Viewer license must be installed with the vault to enable the Viewer.
Workgroup PDM Viewer
When installing the Workgroup PDM Viewer, you must specify the name or IP address of the Workgroup PDM Vault computer that the Viewer will access.
Workgroup PDM API

A license for Workgroup PDM API is included with the licenses of SolidWorks clients and Explorer clients. Check-in APIs require client licenses.

For more information

For details about installing Workgroup PDM, see Workgroup PDM.

For details about using Workgroup PDM, see Workgroup PDM in SolidWorks Help.

Parent topic: SolidWorks Installation Manager Application Help


Legal Notices

© 1995-2011, Dassault Systèmes SolidWorks Corporation, a Dassault Systèmes S.A. company, 175 Wyman Street, Waltham, Mass. 02451 USA. All Rights Reserved.

The information and the software discussed in this document are subject to change without notice and are not commitments by Dassault Systèmes SolidWorks Corporation (DS SolidWorks).

No material may be reproduced or transmitted in any form or by any means, electronically or manually, for any purpose without the express written permission of DS SolidWorks.

The software discussed in this document is furnished under a license and may be used or copied only in accordance with the terms of the license. All warranties given by DS SolidWorks as to the software and documentation are set forth in the license agreement, and nothing stated in, or implied by, this document or its contents shall be considered or deemed a modification or amendment of any terms, including warranties, in the license agreement.

Patent Notices

SolidWorks® 3D mechanical CAD software is protected by U.S. Patents 5,815,154; 6,219,049; 6,219,055; 6,611,725; 6,844,877; 6,898,560; 6,906,712; 7,079,990; 7,477,262; 7,558,705; 7,571,079; 7,590,497; 7,643,027; 7,672,822; 7,688,318; 7,694,238; 7,853,940 and foreign patents, (e.g., EP 1,116,190 and JP 3,517,643).

eDrawings® software is protected by U.S. Patent 7,184,044; U.S. Patent 7,502,027; and Canadian Patent 2,318,706.

U.S. and foreign patents pending.

Trademarks and Product Names for SolidWorks Products and Services

SolidWorks, 3D PartStream.NET, 3D ContentCentral, eDrawings, and the eDrawings logo are registered trademarks and FeatureManager is a jointly owned registered trademark of DS SolidWorks.

CircuitWorks, FloXpress, TolAnalyst, and XchangeWorks are trademarks of DS SolidWorks.

FeatureWorks is a registered trademark of Geometric Ltd.

SolidWorks 2012, SolidWorks Enterprise PDM, SolidWorks Workgroup PDM, SolidWorks Simulation, SolidWorks Flow Simulation, eDrawings Professional, and SolidWorks Sustainability are product names of DS SolidWorks.

Other brand or product names are trademarks or registered trademarks of their respective holders.

COMMERCIAL COMPUTER SOFTWARE - PROPRIETARY

The Software is a “commercial item” as that term is defined at 48 C.F.R. 2.101 (OCT 1995), consisting of “commercial computer software” and “commercial software documentation” as such terms are used in 48 C.F.R. 12.212 (SEPT 1995) and is provided to the U.S. Government (a) for acquisition by or on behalf of civilian agencies, consistent with the policy set forth in 48 C.F.R. 12.212; or (b) for acquisition by or on behalf of units of the department of Defense, consistent with the policies set forth in 48 C.F.R. 227.7202-1 (JUN 1995) and 227.7202-4 (JUN 1995).

In the event that you receive a request from any agency of the U.S. government to provide Software with rights beyond those set forth above, you will notify DS SolidWorks of the scope of the request and DS SolidWorks will have five (5) business days to, in its sole discretion, accept or reject such request. Contractor/Manufacturer: Dassault Systèmes SolidWorks Corporation, 175 Wyman Street, Waltham, Massachusetts 02451 US.

Copyright Notices for SolidWorks Standard, Premium, Professional, and Education Products

Portions of this software © 1986-2011 Siemens Product Lifecycle Management Software Inc. All rights reserved.

This work contains the following software owned by Siemens Industry Software Limited:

D-Cubed™ 2D DCM © 2011. Siemens Industry Software Limited. All Rights Reserved.

D-Cubed™ 3D DCM © 2011. Siemens Industry Software Limited. All Rights Reserved.

D-Cubed™ PGM © 2011. Siemens Industry Software Limited. All Rights Reserved.

D-Cubed™ CDM © 2011. Siemens Industry Software Limited. All Rights Reserved.

D-Cubed™ AEM © 2011. Siemens Industry Software Limited. All Rights Reserved.

Portions of this software © 1998-2011 Geometric Ltd.

Portions of this software © 1996-2011 Microsoft Corporation. All rights reserved.

Portions of this software incorporate PhysX™ by NVIDIA 2006-2010.

Portions of this software © 2001-2011 Luxology, LLC. All rights reserved, patents pending.

Portions of this software © 2007-2011 DriveWorks Ltd.

Copyright 1984-2010 Adobe Systems Inc. and its licensors. All rights reserved. Protected by U.S. Patents 5,929,866; 5,943,063; 6,289,364; 6,563,502; 6,639,593; 6,754,382; Patents Pending.

Adobe, the Adobe logo, Acrobat, the Adobe PDF logo, Distiller and Reader are registered trademarks or trademarks of Adobe Systems Inc. in the U.S. and other countries.

For more SolidWorks® copyright information, see Help > About SolidWorks.

Copyright Notices for SolidWorks Simulation Products

Portions of this software © 2008 Solversoft Corporation.

PCGLSS © 1992-2010 Computational Applications and System Integration, Inc. All rights reserved.

Copyright Notices for SolidWorks Enterprise PDM Product

Outside In® Viewer Technology, © 1992-2011 Oracle

© 2011, Microsoft Corporation. All rights reserved.

Copyright Notices for eDrawings Products

Portions of this software © 2000-2011 Tech Soft 3D.

Portions of this software © 1995-1998 Jean-Loup Gailly and Mark Adler.

Portions of this software © 1998-2001 3Dconnexion.

Portions of this software © 1998-2011 Open Design Alliance. All rights reserved.

Portions of this software © 1995-2010 Spatial Corporation.

This software is based in part on the work of the Independent JPEG Group.


Installing and Managing Multiple Computers

SolidWorks Installation Manager provides the following tools to install and manage multiple SolidWorks computers.

SolidWorks Administrative Images

If you are installing SolidWorks on multiple computers, you can create an administrative image and then deploy the application to other computers.

Workgroup PDM Server

The Workgroup PDM application is project data management software that runs inside the SolidWorks environment or as a standalone application inside SolidWorks Explorer. Workgroup PDM controls projects with procedures for check out, check in, revision control, and other administration tasks. Installing the Workgroup PDM Server creates a Workgroup PDM vault, which is the database that stores the managed SolidWorks projects.

SolidNetWork License Manager

The SolidNetWork License Manager allows the number of users to exceed the number of licenses by floating the use of licenses. When a client license is not in use, it is available for another SolidWorks user.

You can also use the SolidNetWork License Manager to distribute licenses for SolidWorks core add-in products (for example, FeatureWorks).

Parent topic: SolidWorks Installation Manager Application Help


No New Versions Available

There are no newer versions available for download. Proceed with installing the specified version.

To proceed with the installation, click Next.

Parent topic: SolidWorks Installation Manager Application Help